
*** 7.22 ***

- XMLog used the ADIF field "MY_COUNTRY" to define the user's DXCC
country value based on the setting from the "Options/Station Info"
menu. However the value XMLog used for "MY_COUNTRY" was the ARRL 
DXCC ID (for example, 291 for USA) instead of the country name as 
defined for ADIF. This caused the latest version of TQSL to 
complain when validating QSOs that used "MY_COUNTRY" with a 
numeric value.

Fortunately ADIF 3.0 added a "MY_DXCC" field that uses the 
ARRL DXCC ID number for it's value. So, XMLog 7.22 will switch
to using this field to define the users country within ADIF files.

*** 7.21 ***

- The name for "Western Samoa" (5W) has been changed to "Samoa".  The
country name field for all Samoan log entries will be updated when
a log is opened.

- The name for "Macedonia" (Z3) has been changed to "North Macedonia".

*** 7.20 ***

- Bug Fix: Fixed a problem in LoTW file validation where 
a prefix could be mis-compared with a country name.

- Clean up the info in the "QSL-Via/QTH/Notes/Name" columns 
produced using the Log Form "Display/Display Long"" menu item.

*** 7.19 ***

- Add new menu item for the Log Window "Edit/Change Power for
Multiple Entries".

*** 7.18 ***

- Bug Fix: Some of the shortcut keys (F5...F8) used to send 
pre-programmed CW messages when in "CW PileUp Mode" were not 
working.

*** 7.17 ***

- Changed the name of Macedonia (Z3) to North Macedonia.

*** 7.16 ***

- Bug fix: The Log Window menu item "Import/Export - Export 'CSV' file" 
was not working properly in version 7.14, it was not including commas 
between fields written to the CSV file.

*** 7.15 ***

- Bug Fix: Fixed an install problem with version 7.14, the file 
"IndependentCities.lst" was not being installed.

*** 7.14 ***

 - Reorganized XMLog's internal county handling.  LoTW is now allowing 
county values that are actually "Independent Cities". These values 
were being treated as errors when XMLog applied LoTW data to a log file. 
We now allow these values and move them to the "County" field but ignore 
them for purposes of Awards/Counties reports. "Independent Cities" are 
not part of any county and can be found in VA (mostly), MD, MO, and NV. 
To make things a bit more confusing some independent cities are located 
within a county of the same name, for example Virginia contains an 
independent city "Richmond City" within "Richmond" county.

 - As part of the county reorganization XMLog now allows county 
values that may be supplied by LoTW for Japanese QSOs. These values 
correspond to Japanese cities, wards, ku, and guns. The values are  
not checked to see if they are valid but they are checked for 
form (that is, numeric and from 4-6 digits). LoTW may also supply 
a Japanese prefecture as the state in the form of a two digit numeric 
value. This prefecture duplicates the first two digits of the 
county value.

 - The main effect of this county reorganization is the elimination 
of the error messages displayed for "Independent Cities" and Japanese 
county/state values during an XMLog LoTW import.

 - Changed the district number for Alaskan census area Kusilvak from 
two to four.

*** 7.13 ***

- Added MFSK modes: FST4W, JTMS, FSK64L, MFSK128L, and Q65

*** 7.12 ***

- The popup menu displayed for right-clicks on Log Window callsign 
fields now include "Set Rotor To..." entries for both short and 
long paths.

*** 7.11 ***

- Changed the name of Swaziland (3DA) to Kingdom of Eswatini.

- Bug Fix: LoTW passwords that contained special characters
(like #, @, %, ...) were not being handled correctly.

*** 7.10 ***

- Bug Fix: The DXCC and WAS Totals report option "Show QSL Card And
LoTW Totals" was only working if there were Submitted or Accepted 
values displayed.

- Bug Fix: Some newer Yaesu rigs have new modes added which were
encoded as hexadecimal values. These values were not being handled
correctly by XMLog and "Bad format" messages were displayed.

- Added the Yaesu FTDX10 to the list of supported rigs.

*** 7.09 ***

- Brought modes list up-to-date with ADIF version 3.1.1. Some of the
new modes added were JS8, JT8A-JT8H and FSQCALL.

*** 7.08 ***

- Updated Station Info help display

- Added a note to the Options/Station Info display that lets
you know when a "Default Profile" is set.

*** 7.07 ***

- Added a feature that allows you to automatically load Station
Info values from a saved profile when a log file is opened. This
profile is unique to each log file. For more info select 
Options/Station Info, click the Help button, and check the
last section of the help info.

*** 7.06 ***

- Bug Fix: Some saved rotor memories were not being loaded.

- Added rig: Elecraft K4

- Improved handling of QTH+State fields in Display/Long reports

*** 7.05 ***

- Handle "/P" at the end of calls when making additions to the "Callsign List"
(for callsigns like 3D2AG/P). Previously the /P was allowed but ignored.

- The Alaskan Valdez-Cordova census area has been been replaced by two areas, 
the Chugach census area and the Copper River census area. XMLog's Alaskan info 
file Alaska.lst has been updated to reflect these changes.

- Add "FST4" to the modes list.

- For ADIF exports the field ID used for the station longitude was "MY_LONG" rather
than the correct value "MY_LON". This means that this value might have been ignored 
when the file was scanned by other applications.

- For ADIF exports the ADDRESS field was not being created correctly. The delimiter 
used to seperate multiple address lines was CR rather than CR+LF.


*** 7.04 ***

- Bug Fix: QRZ.COM callbook passwords that contained special characters
(like #, @, %, ...) were not being handled correctly.

- Bug Fix: Only one button was being displayed when "View/Memory Buttons" 
was enabled for the Packet Window (restored to twenty).

- When formatting USA county names we now change "Saint" and "St." to "St"
to be consistent with XMLog and USA-CA county hunter definitions.

*** 7.03 ***

- Change definition of the 13cm band to be 2300-2450 mHz.

- Bug fix: XMLog was having problems accessing some file/folders using
  OneDrive.

*** 7.02 ***

- Added new mode: FT4 (WSJT mode)

- Updated IOTA list

- Updated Prefixes list (add continent info to entries that didn't have any)

- Added Rigs: Yeaus FT-101D, FT-818 and FT-891

*** 7.01 ***

- I've changed the way 2-digit years are handled. It turns out that long
  ago I decided that when you enter a 2-digit year (as part of mm/dd/yy)
  and "yy" was less than 20 XMLog would assume that you meant 20xx 
  and if "yy" was greater or equal to 20 then it assumed you meant
  19xx. At the time this seemed like a good idea because you were not
  likely to have any QSOs before 1920 and 2020 was 40+ years in the future.

  However, someone recently pointed out that a log search using a Date field 
  of <01/01/20 was not working and it turns out this was because
  XMLog was treating this value as <01/01/1920 and not <01/01/2020.

  I'm glad that this was discovered with almost a year to do something
  about it because when 2020 comes around and you enter a QSO date like 
  01/03/20 this QSO will actually be stored in your log as 01/03/1920.

  Version 7.01 will change the "break point" for the century from 1920 to 
  1930. This means that any dates with "yy" values of 30 or more will 
  be treated as 19xx and any dates with "yy" values less than 30 will be
  treated as 20xx.

  This means that you need to update to version 7.01 before December 31,
  2020 or those 2020 QSOs will get stored as 1920.

  I'm sure some XMLog users will not hear about this update and wind up 
  with some 2020 QSO dates that are saved as 1920 instead of 2020. To deal 
  with this problem of "late" updates Version 7.01 will check log files 
  for dates less than 1930 and boost them by 100 years. This check/update 
  is only done the first time a log is opened.

  Note that these comments also apply to the other date fields in a log
  entry: QSLSent/Rcvd, LoTWSent/Rcvd, eQSLSent/Rcvd, and DXCC/WAS/WAZ
  Submit/Accept/Reject.

*** 6.90 ***

- Added option to include LoTW confirmations for WAZ reports. CQ Magazine
  began accepting LoTW confirmations as of April, 2018.

- Added support for the Green Heron RT-21 rotor controller. This rotor
  controller uses the same command set as the Hy-Gain DCU-1 so older
  XMLog versions could still be used with the RT-21.

*** 6.89 ***

- Add new menu items "File/Set Rotor" and "File/CallBook Lookup" (ctrl-L)
  to the "Display QSOs" window (F4). You can also do a Callbook Lookup
  by double-clicking on the callsign or a Rotor Rotate by double-
  clicking on the heading (short-path only).

- Added the ELAD FDM-DUO to the supported rigs list.

- Bug Fix: The "Options/Log Backup" menu item option "Backup Option Setting Files"
  was being ignored. This option saves all option files as well as the current 
  log file. (Option files have .ini extentions e.g. mlog.ini, etc.)

*** 6.88 ***

- Added the Icom IC-7610 to the supported rigs list.

*** 6.87 ***

 - Added Republic of Kosovo (Z6) to the DXCC entity list.  Note that
   only QSOs starting on Jan. 18, 2018 or later will count for DXCC
   credit, any Z6 log entries before this date should be have their
   Prefix field set to "?" (unknown).

*** 6.86 ***

 - Allow 8-character grid values (include subsquares, e.g. FN33vr22)

*** 6.85 ***

 - Change mis-spelled county Breckenridge, KY to Breckinridge.

 - Added digital modes FT8, MSK144, ARDOP, and QRA64 including submodes A-E.

 - Added ARRL sections ONE, ONN, ONS (Ontario East/North/South) and
   GTA (Greater Toronto Area).

*** 6.84 ***

 - The ARRL has reversed their decision to change the DXCC status
   of Midway I. (KH4) and Kure I. (KH7) from active to deleted.
   Existing log entries for these islands that were updated by
   XMLog version 6.83 will be automatically restored to active 
   status when a log is opened. This reversal of the DXCC status
   for these islands may result in the message:

   "You should recreate your "Totals" file using the "DX/Update 
   Packet DXCC Status" menu item."

  when opening a log file.

 - Bug Fix: When creating a Excel report using one of the "Awards"
   menu items double-clicking on a callsign would not move the
   main log window the the proper entry. 

*** 6.83 ***

 - Changed the status for the DXCC entities Midway I. (KH4) and 
   Kure I. (KH7) from active to deleted. Existing log entries for
   KH4 and KH7 will be automatically updated when a log is opened.

*** 6.82 ***

 - Bug Fix: Reports created using the "Awards" menu were
   including QSOs that were made on bands not appropriate
   for the award. For example 60m QSOs would be included
   in the DXCC Mixed/Phone/CW/Data totals.

*** 6.81 ***

 - Bug Fix: The county name updater had a typo and was not
   correctly coverting "Shannon, SD" to "Oglala Lakota, SD".

*** 6.80 ***

- Bug Fix: On Windows 10 the mouse wheel would only scroll
  through selected log entries when the mouse pointer was
  above the "Select" button.

- Changed county name "Shannon, SD" to "Oglala Lakota, SD".

- Upated the list of Alaskan Buroughs and Census Areas that
  are mapped to Judicial Districts for the CQ County Hunters
  Award. (The old names are retained and will still be mapped
  correctly). 

*** 6.79 ***

- Added the Icom IC-7850 and IC-7851 to the supported rigs list.

*** 6.78 ***

- Added the Icom IC-7300 to the supported rigs list.

*** 6.77 ***

- Made changes to handle systems with multiple monitors better.  Most
  new windows will now be positioned centered atop of their parent window.

*** 6.76 ***

- Changed the name for ZL9 DXCC entries from "Aukland/Campbell Is." to
  "New Zealand Subantarctic Is.". Log entries will be automatically updated 
  when a log is opened.

*** 6.75 ***

- Changed the status for the DXCC entry Kingman Reef (KH5K) from active to deleted.
  Log entries will be automatically updated when a log is opened.

- Added the Yaesu FT-991 and Elecraft K3S to the supported rigs list.

*** 6.74 ***

- Bug Fix: Fixed a problem with country guessing for 
  callsigns containing slashes (bug introduced in
  version 6.69).

- Added the Elecraft KX3 to the supported rigs list.

*** 6.73 ***

- Increased the maximum COMM port number allowed from 16 to 32.
  COMM ports can be used for HF Rig Control, Rotor Control, CW, 
  and Packet TNCs.

*** 6.72 ***

- Bug Fix: The CW and Data Upper/Lower options related to 
  OminRig HF ports were not being saved properly. (Set from 
  the "Options/HF Rig Port" menu item).

*** 6.71 ***

- Add rounding-up for a frequency read from a rig and
  then formatted for the Freq field in a log entry.

*** 6.70 ***

- Add rounding-up for a frequency read from a rig and
  then formatted by a #freq spec contained in messages 
  created by the Packet Window "Send" menu item.

- Add Flex to the list of supported rigs.

*** 6.69 ***

- Use the new URL address for LoTW downloads from the ARRL.
  Changed from "https://p1k..." to "https://lotw..".

- Replace the method we use to download LoTW data from the
  ARRL. The old method seemed to have problems on some systems
  (e.g. it would hang up before completing large downloads).

*** 6.68 ***

- Bug Fix: The LoTW validation was checking the "State"
  field for USA/VE state/province values for non-USA/VE
  entries.

- Bug Fix: If the data from a QRZ.COM callbook lookup had
  something that looked like a city+state XMLog would
  set the country to USA (e.g. PU8YPL has "Santarem, PA"
  as part of the address).

- Change the definition for Newcastle Country, Delaware to
  New Castle County.

- If the "Use Current Time" option for log defaults was enabled
  the "Time Off" value was being set to the current time.
  The "Time Off" value is now set to blank regardless of the
  setting of this option.

*** 6.67 ***

 - Bug Fix: Critical QSO reports could abort and display 
   "(340) Control array element '1' doesn't exist." 

 - When computing bearings/distances with the "Use Callbook
   For Locations" option enabled we can now use any gridsquare
   value if latitude/longitude values are not provided.

 - Rig control for the Yaesu FT-1200 wasn't actually
   implemented (even though it was in the menu).

*** 6.66 ***

- Add two new BSPK Modes, SIM31 and SIM63

- The "Options/HF Rig Port Select" menu item now provides  
  a CW Upper/Lower and a Data Upper/Lower option when using 
  OmniRig for rig control.

- Bug Fix: If the XMLog CW keying option "Enable PTT" was
  set and the PacketCluster Alert option "Enable CW Alerts"
  was also set the cw alert would momentarily toggle PTT
  on/off at the start and end of an alert.

*** 6.65 ***

Version 6.65 has extensive internal changes that were required to handle
updates to the ADIF specification that now includes "submodes" as well as modes.
These changes should be transparent to XMLog users except for the new Mode
Selector that can be displayed when when right-clicking on the Mode field.

- Brought mode names into accordance with the current ADIF spec.
- Added "submode" support for ADIF files in accordance with the current ADIF spec.
- Added a new mode selector for right-clicks on the Log Window Mode field.
- ADIF exports now set the DXCC field to 0 for entries with Prefix field values of ?.
- County name change: Hillsboro, NH -> Hillsborough, NH

*** 6.64 ***

- Added support for the Yaesu FT-1200 and ICOM IC-7100
- Update US county, Alaskan district, and IOTA lists (Thanks K2MF)
- Change US county awards tracking to use Alaskan districts rather than regions
- ADIF exports were not always sorted when exporting "All Log Entries"

*** 6.63 ***

County name changes:
  Sagauche, CO -> Saguache, CO
  Dade, FL -> Miami-Dade, FL

*** 6.62 ***

- Added long path heading to callbook lookup display

- Added the latest version of the Buckmaster Callbook interface (hamcal32.dll)

*** 6.61 ***

- Bug Fix - When switching the control of an HF Rig port from 
  OmniRig to XMLog the port would not be available until
  XMLog was stopped and restarted.

- The "Edit/Change Date For Multiple Entries" menu item
  previously allowed you to change the QSO date. It now also 
  allows you change the QSL/LoTW/eQSL Sent/Received, and
  Awards Tracking dates.

*** 6.60 ***

- Added support for the TenTec 539 Argonaut VI

- Bug Fix: The "Get mode/freq" commands for the TenTec 599 Eagle 
  were not correct, the "Set" commands were OK.

- Double-click on callsign in the "Check Call/Prefix" window
  now does a callbook lookup.

- The "Show QSOs" window (F4) now displays the DXCC "need"
  status.

*** 6.59 ***

- Bug Fix: Also increase size of "Mode" field for saved
  alerts (Alerts.mdb) and labels layouts (Layouts.mdb).


*** 6.58 ***

- Increase size of "Mode" field from 6 to 8 characters.

- Update the allowable "Mode" values to correspond to 
  the current ADIF spec.

- The "Set Mode To..." popup displayed when right-clicking
  on the Mode field did not display all the allowable
  data modes.

- Allow the "|" (Vertical Bar) character in  CW messages for 
  WinKey keyers (causes a small delay - "Insert Gap").

*** 6.57 ***

- Added an "Auto Re-connect" feature to the "Keep Alive"
  tab of the "Options/Packet Options" menu.

- Log backups can now also save your options settings
  files (*.ini files). This feature is controlled
  from the "Options/Backups" menu (and is enabled by
  default). 

- Added support for the Yaesu FTDX-3000

- Bug Fix - When double-clicking on a callsign in a report
  created using "Display/Display Excel" XMLog was not moving 
  to the correct log entry.

- Bug Fix - Fixed "Overflow" that could occur when creating an
  "Awards/Submissions Tracking" report with large log files.

*** 6.56 ***

- Update server address for QRZ.COM callbook lookups.

- Bug Fix: Don't try to do a "periodic backup" if no
  log file is open.

*** 6.55 ***

- Change band designator for 902 mHz from 35cm to 33cm

*** 6.54 ***

- Add support for the Yaesu FT-857GXII

- Change main prefix for Niue from ZK2 to E6.

- Remove 8J1 from list of Antarctic prefixes. Add 8J1RF
  and 8J1RL to "Callsign List" as Antarctic stations.

*** 6.53 ***

- Bug Fix: XMLog wasn't correctly handling an alternative 
  format for latitude/longitude settings for "my_station".

*** 6.52 ***

- Add new custom QSL format dd-mmm-yyyy (03-Jan-2010)

- Add a new menu item "Awards/DXCC/DXCC Challenge Totals".
  The DXCC challenge award differs from the main DXCC award
  in that modes (Mixed/Phone/CW/RTTY) and deleted countries
  are not included.

*** 6.51 ***

- Update the prefix definitions to reflect the fact that
  Malyj Vysotskij Island has been made a "deleted" country 
  as of Feb. 17, 2012. Prefixes for any MVI log entries will 
  be automatically changed from R1MV to *R1MV when log files
  are opened.

*** 6.50 ***

- Update the prefix definitions to use the official prefix 
  for Southern Sudan (Z8). Any log entries that were created
  using the "temporary" prefix (QQ) will be automatically
  updated when log files are opened.

- Get rid of "Search" button in the "Show Country List" Window.
  Searches are now performed automatically as you enter text.

- Add a Ctrl-C shortcut for the Spots History Window "Clear
  Spot History" menu item. Also, remove the "Are you sure
  you want to clear the Spots History Window" query.

*** 6.49 ***

- Added support for the HamQTH.COM callsign lookup server.

*** 6.48 ***

- Bug Fix: QSO dates were not being sorted properly when printing 
  QSL labels with the date format set to DD/MM/YY.

*** 6.47 ***

- Defined a temporary Main Preix/Country ID of "QQ" for Southern
  Sudan. Any existing QSOs with ST0R will be updated to this
  prefix. This will allow DXCC tracking for this new country.
  When the ITU assigns a prefix block for Southern Sudan
  I'll make another XMLog version available that will convert
  any "QQ" entries to the ITU prefix.

- Added a "filter by band" feature to the Packet History Window.  
  This feature is controlled by the "Options/Filter Settings" 
  and "Options/Enable Bands Filter" menu items.

- Added the TenTec Eagle to the list of supported rigs.

- Bug Fix: Date checks always allowed values of 1-31 for the
  day without regard to the month (or leap years).

- Bug Fix: Spurious error messages were displayed when 
  trying to open a non-existant log file.

*** 6.46 ***

- Bug Fix: ADIF imports were not working properly with files that
  had lines delimited by line-feeds (worked OK with CR or CRLF).

*** 6.45 ***

- Bug Fix: When doing ADIF imports the "Date Format = DD/MM/YY" option
  was ignored for the log entry displayed immediately following 
  the import.

- Bug Fix: On the Callbook Lookup Window the "-> Mail" and "-> Log" buttons
  would sometimes not be displayed.

*** 6.44 ***

- Add the ICOM IC-78, IC-7410, and IC-9100 to the list of supported rigs.

- Updated the prefix file definitions for Kaliningrad, Asiatic
  Russia, Portugal, Madeira Is. and the Azores.

*** 6.43 ***

- The "Submission Tracking" and "Critical QSOs" reports
  now save their bands/modes settings between uses.

*** 6.42 ***

- Added a "Include LoTW Confirmations" option for the
  "Grids Worked/Confirmed" report (default = True).

- The "Worked/Confirmed" and "Needed" reports now
  save their bands/modes settings between uses.

*** 6.41 ***

- Add support for WM7D callbook lookups (US/Canada calls only)

- Add #logcounty to the list of "# commands" for available
  for CW and packet messages.

- Bug Fix: The World Map Window would not display if the
  font "Arial" was not installed.

*** 6.40 ***

- Change XMLog install to only use one .CAB file

*** 6.39 ***
 
- Added new mode ISCAT (a WSJT mode)

*** 6.38 ***

- Bug Fix: XMLog would not start if the Windows "region" was
  set to a value that did not use a period (".") for a decimal
  point in numbers. An error message would be displayed that
  indicated a format error in the Prefixes file.

- Bug Fix: Another "regional" problem caused an error when
  trying to display the "World Map Window".
  
- Added new IOTA definition for Curacao (SA-099)

*** 6.37 ***

- Bug Fix: The date checks for deleted DXCC countries were not 
  working when the Log Window date display format was DD/MM/YY.

*** 6.36 ***

- Bug Fix: Not all QSOs with the new PJ countries were
  being updated.

*** 6.35 ***

- Handle new DXCC Netherlands Antilles (PJ) countries.
  All PJ entries will be checked and based on the QSO date
  and the country will be automatically updated to reference
  the new DXCC country or the appropriate "deleted" country.
  (e.g. old PJ2 QSOs will be changed to *PJ2).

*** 6.34 ***

- Move "Callbook Lookup" menu item from the "DX" menu to the
  the "View" menu. (Keep the Ctrl-L shortcut).

- Add country guessing for QSO's with deleted DXCC countries.

- Bug Fix: Periodic log file backups were not being done if
  a log file was left open for more than a day. The check for
  periodic backups was only being done at the time a log file
  was opened.


*** 6.33 ***

- QRZ.COM is no longer providing free access via HTML. Added an
  error message and updated the QRZ.COM help info to reflect
  this state of affairs.

- Implemented a "Pause" feature for the CW Keyboard Window. 
  Use Control+S to pause/re-start any CW in progress (or use
  the "CW/Pause" menu item).

*** 6.32 ***

- Bug Fix: The "Update Interval" for the World Map gray line
  wasn't being validated which could cause problems if bad
  values were entered.

- Increase the maximum Comm port from 8 to 16 for: Rig control,
  Rotor control, TNC ports, and CW keying.

*** 6.31 ***

- Bug Fix: Double-Clicking on a callsign displayed in the "QSO 
  Display Window (F4)" would cause an unescapable error if you
  also replied yes to the "Do You Want To Select All Entries"
  query.

- Bug Fix: The "Reset Current Records To Those In Report" option was
  not working for the "Submission Tracking" and "Worked/Confirmed" 
  Awards reports. Only records for the last band or mode were being
  included.

*** 6.30 ***

- Added the ability to change the "Source URL" for LoTW downloads.

- WorldMap Window: Added a "Set Rotor To..." option that sets your
  rotor heading when right-clicking on the map.

- WorldMap Window: Include long path bearings in the window heading
  and for all other heading displays (e.g. the Show QSOs Window and
  PacketCluster spots).

- Added new "HTML Help" based help system for XP and newer Windows
  systems (xmlog.chm). The old help system (mlog.hlp) will still
  be used for older systems.

*** 6.29 ***

- Updated the "LoTW Download" to use the new ARRL address.


*** 6.28 ***

- Update the prefix list entries for the Azores and the Madeira Is.

- Bug Fix: On Windows Vista or Windows 7 setting the CW Sidetone
  Option to "Use PC Speaker" could cause XMLog to crash or hang.

  Also: The 64-bit versions of Windows Vista and Windows 7 do not
  support access to the built-in PC speaker.

- Bug Fix: ADIF imports were ignoring the "MY_LONG" values.

- A new application named "XMReset" is now installed with XMLog.
  This program resets the sizes and positions of all XMLog windows
  to their default values. This can be useful if you change your
  monitor setup causing a window to be off the screen or too large
  for the screen.

- The Callbook Lookup Window and the Show QSOs Window were not
  checking the LoTW QSL status when displaying the QSL status.
  Each of these windows now has a "Include LoTW Confirmations"
  menu item (default value = True).

*** 6.27 ***

- The World Map window can now display a Great Circle map or a
  Mercator map.

- The World Map window can now display gray line info - the extent
  of the global day/twilight/dark areas. A toolbar has been added
  to support some additional gray line features. For details see
  the World Map Window section of the help file.

- Improve the handling of ADIF file imports with entries that don't
  have the DXCC country code set. (Any "State" value was not being
  considered when trying to "guess" the country).

- Bug Fix: If you defined a Mailing/QSL label with a name starting
  with "#" you could no longer select "Standard" labels.

- Added two "JT" modes to the modes list, ROS and WSPR.


*** 6.26 ***

- Bug Fix: For ADIF exports, an error occured if "All Log Records"
  were selected along with the "Set LoTW/eQSL Sent Date" option.

- Display the "Subscription required" message from QRZ.COM when doing
  XML-based lookups after a subscription has expired.

*** 6.25 ***

- Bug Fix: When using the "Create Mailing Label" button on the Callbook
  Lookup Window after doing a QRZ.COM lookup the Grid Square and U.S.
  County would be included as part of the label.

- Add the Yaesu FT-5000 to the supported rig list.


*** 6.24 ***

- Update to latest Microsoft COM port device controls.

*** 6.23 ***

- Bug Fix: Try to address a problem with rig control that has showed
  up in Windows 7. (Problems with COM port device drivers can cause
  a 'error reading comm device' message?).

*** 6.22 ***

- Bug Fix: The Spots Map Window produced an overflow error after
  32,000 spots had been displayed.

*** 6.21 ***

- Bug Fix: Startup problems with CW Keyboard window

*** 6.20 ***

- Added support for the Yaesu FT-950

- Bug Fix - The previous position of the CW Keyboard window was not
  being restored properly.

- Bug Fix: If Packet Window Memory Buttons were displayed and you
  searched the packet history (Ctrl-F) the buttons would be erased.

*** 6.19 ***

- Fix problem with QRZ.COM HTML callook lookups (QRZ.COM format change).
- Save/Restore last postion of Callbook Lookup form.
- Add Grid Square and US county to QRZ.COM lookup displays.


*** 6.18 ***

- Fix problem with QRZ.COM HTML callook lookups (QRZ.COM address change).
- Allow the Callbook Lookup window to be minimized.

*** 6.17 ***

- Added a new menu item "Import/Export 'CSV' File" that
  allows you to create CSV (comma-separated value) files
  from log entries.

- Updated prefix list entries for Sardinia.

*** 6.16 ***

- The new "Show No Info" option added in version 6.15
  wasn't working correctly if the "Show Contest Fields"
  or "Show Satellite Fields" option was also set.

- Bug Fix: When setting your latitude or longitude values
  using the "Options/Station Info" menu any fractional value
  for 'minutes' greater than 59 but less than 60 (59.35 for 
  example) were not being allowed.

*** 6.15 ***

- More problems were reported installing SCRRUN.DLL so
  I've removed all the references to this system file.
  XMLog will no longer distribute/install this file.

- Added a new option to the "Options/Log Fields" menu:

  Include "Show No Info" as a "Show" button option

  This option allows you to shrink the main log window
  to a smaller size.

*** 6.14 ***

- Bug Fix: The "Display dates as DD/MM/YY" option could
  be reset during ADIF imports.

- Change lower limit of 60m from 5.300 to 5.200 (to allow
  for non-US users).

- Added the Icom IC-7600 to the list of supported rigs.

- Added Control+k as a short-cut for "View/Show CW
  Keyboard Window" menu item (Log and Packet windows).

- Bug Fix: When you try to import an LoTW file as a normal
  ADIF file XMLog displays a message noting that this is
  not allowed - however, it got stuck in a loop displaying
  this message.

*** 6.13 ***

- Do some clean up on the address returned by "QRZ.COM via
  HTML" callbook lookups.

- Bug Fix: Unknown zones were being displayed as "-1" when
  displaying reports using Excel.

- Bug Fix: "Awards/WAZ Checklist" using Excel wasn't working.

*** 6.12 ***

- Re-instated the old QRZ.COM lookups via HTML (rather than
  XML).  Both access methods are now supported. Users who
  had switched to XML will need to go back to the Callbook
  Options menu and re-set the access method to QRZ via XML.

*** 6.11 ***

- Added the Icom IC-7200 and the Yaesu FT-9000 to the
  list of supported rigs.

- Bug Fix: If the "Show QSOs and Check Call" window was
  initially opened by clicking in the packet window the info
  for the displayed call would be over-ridden with info for
  any call displayed in the log window (after a few seconds).

*** 6.10 ***

- Bug Fix: The 6.09 changes caused entries in LoTW files
  to be ignored if all QSOs were made using only one call!

*** 6.09 ***

- LoTW "Validate" and "Apply to Log" functions now will
  recognize the case when the LoTW file contains data for
  QSOs that were made using multiple callsigns.  You now
  have to option of filtering the LoTW data based on the
  callsign used for the QSO.

- ADIF and LoTW Import funtions are now a bit more
  tolerant of common IOTA and GridSquare format errors.

- Bug fix: When you had more than 65k entries in your
  log you could no longer scroll one entry at a time.

*** 6.08 ***

- Optimize QRZ.COM lookups

*** 6.07 ***

- When creating new log entries with the "Set Defaults
  for New Entries" and "Set Name from Callbook" options
  set the "Name" field was not being set using QRZ.COM
  callbook lookups.

*** 6.06 ***

- Changed QRZ.COM support so that XMLog does not try
  to install Microsoft's MSXML package but will use
  the latest pre-installed version of MSXML.

*** 6.05 ***

- Implemented support for QRZ.COM 2.0. This feature
  requires you to create a user-id/password at the
  qrz.com site and to also subscribe to qrz.com's
  "XML Data Access" feature (Currently $30/year).

- Bug Fix: If an error occurred while looking up a
  a callsign any subsequent lookup of that call 
  would always return an error until XMLog was
  restarted (even if the problem causing the error
  was fixed).

*** 6.04 ***

- Bug Fix: An error could occur if you tried to
  "maximize" a report window.

- Bug Fix: When applying LoTW data to your log any
  good county+state value would not be checked for
  a mismatch against any current state value in the
  log entry.

- Removed the "temporary" prefixes for Montenegro:
  YT3, YT6, YU3, YU6, YZ3, YZ6, 4N3, 4N6

*** 6.03 ***

- Bug Fix: The "Show QSL/LoTW Totals" option for the
  WAS Totals report didn't always display the totals.

*** 6.02 ***

- Fix problem with 'lingering windows' - windows that
  prompted for info and then tended to remain displayed
  for a few seconds after you clicked 'OK'.

- Remove "Import CT .res File" and "Import/Export XMLog
  Text File" menu items.

*** 6.01 ***

- Bug Fix: When doing an ADIF export using the "Set LoTW
  Sent Date to Current Date" option produced an error
  message if you had selected "All Log Records" (rather
  than "Currently Selected Log Records).

*** 6.00 ***

- Added LoTW support

- Added the ICOM IC-7700 to the list of supported rigs.

*** 5.55 ***

- Bug Fix: 4 meter support wasn't working.

- Bug Fix: Reports for LoTW Validation weren't always
  being displayed.

*** 5.54 ***

- Added support for the 2190 and 4 meter bands to ADIF
  and LoTW. Also, 2190m and 4m are now legal search 
  keys for the Frequency field.

*** 5.53 ***

- Bug Fix for LoTW prototype: LoTW Received dates were
  not being set correctly when the date format option
  was set to DD/MM/YY.

- Bug Fix: XMLog could hang if it displayed the
  "You've installed a new version" window and the Log
  Window was minimized the last time XMLog exited.

*** 5.52 ***

- Add reporting features for LoTW prototype support.

*** 5.51 ***

- More changes for LoTW prototype support. Mainly changes
  to the "error/conflict editor" used when applying LoTW
  data to the log. IOTA changes were not being saved. Fields
  with problems can now be set to blank.

- Calls like KL7AA/4 are now guessed as USA (not as Alaska
  as in this example).

- Added the Elecraft K3 to the list of supported rigs.

- Added support for rig control via OmniRig.

*** 5.50 ***

- Minor changes for LoTW prototype support.

*** 5.49 ***

- Allow calls in the "Callsign List" that contain slashes
  to match both forms of the call, e.g. callsign/xxx (or
  xxx/callsign) will match callsign/xxx and xxx/callsign.

*** 5.48 ***

- Bug Fix: Fix problem with Log Window scroll bar sticking.

- Fix tab order for Log Window fields.

- Change ADIF index for North Korea from 433 to 344 (433 still
  accepted for ADIF imports).

- Add support for the RDS RC-1 rotor controller.

*** 5.47 ***

- Change main prefix for Bosnia-Hercegovina from T9 to E7
- Bug Fix: Selecting a mode filter when using the menu
  item "Awards/DXCC Create Submission Forms" caused an error.

*** 5.46 ***

- Second try for problem with QRZ.COM lookups

*** 5.45 ***

- Fix problem with QRZ.COM lookups

*** 5.44 ***

- Add VQ5 as a Turks/Caicos (VP5) prefix
- Fix Rig support for FT-2000 and FT-450

*** 5.43 ***

- Add St. Barthelemy (FJ) to DXCC country list
- Add support for Icom 756 Pro III
- Make U.S. county checking during ADIF imports more forgiving
  by recognizing common name variations.

*** 5.42 ***

- Rebuild with latest release of Microsoft suport routines.

*** 5.41 ***

- Added E7 as a secondary prefix for Bosnia/Herzegovina.
  At some point this will probably become the primary prefix.

*** 5.40 ***

- Bug fix: QRZ.COM changed the format of the data returned
  for callbook lookup that caused "Not found" messages for
  all calls.

*** 5.39 ***

- Added support for Yaesu FT-450

*** 5.38 ***

- Added support for TenTec Omni-VII

*** 5.37 ***

- Restored the YT3/YT6/YU3/YU6/YZ3/YZ6/4N3/4N6 prefixes for
  Montenegro and the other YZ/4N prefixes for Serbia. I will
  keep things this way until current stations have new calls
  assigned. The "main" prefix for Montenegro will still be 4O.

*** 5.36 ***

- The prefix for Montenegro has been changed from E6 to 4O.
  The prefixes 4O, 4N and YZ have be removed for Serbia.

- Bug fix: Hitting F12 (or ESC) in the CW window did not stop
  sending a CW message if the message was currently executing
  a #pause command.

*** 5.35 ***

- Make the popup (right-click) menus for the Packet Window, Spots
  Map Window, and Spots History Window consistent.

- Award reports for IOTA, Zones, or Grids will now include log
  entries without a "good" prefix (maritime mobiles, etc.).

*** 5.34 ***

- Bug fix: The rig frequency/mode wasn't being updated when you
  double-clicked on a ruler in the Spot Map Window. (5.33 bug)

*** 5.33 ***

- Allow .gif and .jpg images as "picture" items for custom labels.

- Change start of 75m phone band to 3600 kHz.

- Rig Control: For rig COM ports the RTS line was always enabled.
  This caused problems with some interfaces and also interfered 
  with the RTS/CTS flow control option. There is now a new option
  to set RTS to "always on". This option cannot be set if RTS/CTS
  flow control is enabled.

- Single-Clicks on callsigns in the Spot Map Window and Spot History
  Window will now update the World Map Window and the QSOs/Check Call
  Window.

- Replace the old "Print Setup" control. The old version was not
  defaulting to the current printer settings.

- Bug fix: The latitude/longitude info for Malta/1A0 was incorrect.

- Bug fix: The Packet Window "File/Print" menu item wasn't working.

- Bug fix: Intial XMLog installs were setting the "bands to ignore"
  option for the Packet Window to "6" instead of "6m". We now
  default to "VHF".

*** 5.32 ***

- Added support for the Orion 2800P-A rotor.

- Changed "main" prefixes for North and South Cook islands.
  ZK1/N is now E5/N, ZK1/S is now E5/S.

- Bug fix: Excel reports could result in a cryptic error message
  "XMLog has encountered a problem...".  This only occured with
  Excel versions prior to Excel 2002. (5.29 bug)

- Bug fix: The "Data Mode" set from the "Options/HF Rig Port Select"
  menu item was not always being used when double-clicking on RTTY
  spots (and other data modes) in the Packet Window.

- Bug fix: Fixed two county name errors; Wasatch (UT) and Le Flore (OK).

- Bug fix: The speed for CW DX alerts was not tracking speed changes
  made from a WinKeyer.

- Bug fix: Opening the CW Keyboard window could override the current
  CW speed setting.


*** 5.31 ***

- Add a "World Map" window displayed by using the
  "View/Show World Map" menu item. This window plots
  paths on a great circle map. The starting point for
  the path is the center of the map which corresponds to
  your latitude/longitude (as defined by your Station Info
  settings). The end point for the path corresponds to
  the current call displayed in the log window or the last
  call single-clicked on in the packet window (this is
  the same technique used for the "Show QSOs" window).

- Bug Fix: The "set frequency" command for the Yaesu FT-2000
  was improperly formatted.

*** 5.30 ***

- All reports now provide a "Display using Excel" option.

- All reports now remember the previous settings for "Display
  using Excel" and "Reset current records to those in report".

*** 5.29 ***

- Add the Yaesu FT-2000 to the list of supported rigs.

- Bug fix: The ADIF fields STX and SRX were not being moved to the 
  contest out and in fields.

*** 5.28 ***

- Automatically update Montenego QSOs that were saved
  as Serbia/Montenegro.

- Bug Fix: The Awards reports that prompt for Bands/Modes were
  only including the first three bands/modes selected. (5.26 bug)

- Bug Fix: The Awards reports that prompt for Bands/Modes were
  only selecting the QSOs in the last band/mode when the "Reset
  current records to those in report" option was set. (5.26 bug)

*** 5.27 ***

- Added 2m, 220, and 440 to WAS awards tracking.

- Bug fix: The "Include accepted entries" option wasn't selecting
  the correct entries when the "Set current entries to those in
  report" option was set for the Awards/Submission Tracking report.

*** 5.26 ***

- Previously some of the Awards reports automatically reset the
  "currently selected" log records to the QSOs displayed by the
  report. Now when you select these reports an option is displayed
  that allows you to control this action ("Reset current records to
  those in report").  The reports affected are:

        Awards/Worked+Confirmed
        Awards/Critical QSOs
        Awards/Submission Tracking
        Awards/DXCC Submission Forms
        Awards/County Validation

*** 5.25 ***

- Bug Fix: If a log entry for Serbia and Montenegro was edited the
  name was changed to Serbia. However, the DXCC tracking was still
  correct.  To fix any entries that were improperly updated, select
  the entry, choose Modify, and then OK.  (5.24 bug)

*** 5.24 ***

- Added new DXCC country Montenegro (E6)

- Added new DXCC country Swain's Island (KH8/S)

- Bug Fix: The station info fields were not always being set
  when adding new entries.

- Bug Fix: The "Awards/Worked+Confirmed" report was not selecting all the
  log records for calls appearing in the report (5.23 bug).

*** 5.23 ***

- Added support for the K1EL WinKey 2.  This keyer uses a USB port
  to connect to your PC but access from XMLog (and other programs)
  is via a "virtual" serial port.

- You can now double-click on calls displayed in the
  "Awards/Worked+Confirmed" and "Awards/Submission Tracking"
  reports to display the appropriate entry in the Log Window.

  These reports will now automatically set the Log Windows
  "Currently Selected Entries" to the entries corresponding to
  those in the report.

- Added the Icom IC-7000 to the list of supported rigs.

*** 5.22 ***

- Added support for CW keying via K1EL's WinKey.  Keyer type is
  selected using "Options/CW Options and Port Select".

- Moved the "Show Country List" and "Show Callsign List" menu items
  from the "DX" to the "View" menu.  Added "Show IOTA List" and
  "Show U.S. County List" items to the "View" menu.

- The file "labels.ini" is no longer replaced when installing new
  versions of XMLog.  All .ini files are now preserved when a new
  version is installed.  Other files that are still preserved are
  "totals" and "layouts.mdb".

*** 5.21 ***

- Bug fix: The Packet Window alert filtering for U.S. regions
  was not being applied if the spotter was a non-U.S. station.

*** 5.20 ***

- Added a "memory" to the Packet Window "Connect/Internet Connect"
  menu item.  Ten addresses are saved and the most recently used
  address is selected by default. Node file names can also be
  entered (the extension must be provided, e.g. filename.nod).

- Bug fix: The Packet Window alert filtering didn't work properly
  when more that one of the "allow" filters was set.

- Bug fix: The "Awards/DXCC/Create Submission Form" report
  improperly handled callsigns that occurred more than once in
  the report.  They now appear only in the second section of the
  report rather than in both sections.

*** 5.19 ***

- Bug fix: The use of ? as a search key for the Prefix field
  was not being allowed. (5.01 bug)

- Changed the order that the set frequency/mode commands are sent
  to Kenwood rigs (first frequency, then mode).  Also added a
  delay between the commands.

- Changed the XMLog email address to support@xmlog.com

*** 5.18 ***

- Callbook lookups using QRZ.COM will now use any latitude/longitude
  information provided.

- Updated XMLog installer

*** 5.17 ***

- Added support for Station Info "profiles".  This feature allows
  you to manage collections of Station Info values. To save, load, or
  delete a profile use the Profile menu items from the Station Info
  window.

- When right-clicking on a callsign in the Packet Window the list of
  options now includes opening the QSOs+Callsign Check Window for 
  the call.

*** 5.16 ***

- Packet Window: Use the default connection address as the initial
  setting when displaying the prompt for the "Connect/Internet Connect"
  menu item.

- Log Window: Allow two character grid values.

- Change the command used for positioning Orion 2800 rotors from
  ### to A###.

- Change the handling of "Address" fields when importing ADIF files
  so that the "M" (multi-line) option is not required as part of
  the field descriptor. 

- Bug fix: When importing ADIF files multi-line fields (like "Address"
  fields) could be mis-handled if the ADIF file used CR+LF sequences
  as end-of-line characters.

*** 5.15 ***

- Bug fix: Version 5.14 was created with an empty "Totals" file which
  caused XMLog to complain at startup. This only happened when installing
  version 5.14 when XMLog had not been previously installed.

*** 5.14 ***

- Added several new features to the QSOs Window:
  1) A single-click on a call in the Packet Window will update the window.
  2) Typing Ctrl+W will clear the callsign prompt.
  3) The state/province is now included with the QTH in the QSOs list.

- Fixed some QSOs Window bugs:
  1) Using the QSOs Window with no Packet Window caused subscript errors.
  2) "Options/Show All" did not enable the "Show Name/QTH" menu items.

*** 5.13 ***

- Combined the "View/Show QSOs" and the "DX/Check Call" windows
  into a single new window which is displayed using the
  "View/Show QSOs + Check Call Window" menu item.  The old F4
  shortcut for "DX/Check Call" will now open this new window.
  This window combines the features of both of the old windows
  and has option settings that let you pick the look you want.
  QSOs and info is displayed based on the currently selected
  log entry or on a call/prefix entered within the window.
  The old "DX/Check Call" menu item has been deleted.

- Bug fix: When using the "Options/Log Defaults..." menu item a
  subscipt error could occur if 3 of the 4 log field groups had
  been configured to "Always Show".

*** 5.12 ***

- Bug fix: An error would occur if the Log Window was minimized and
  the "Options/Log Defaults..." menu item was used from the Packet
  Window.

*** 5.11 ***

- Added more filter options to the Spot History window. You can now
  filter by mode as well as by callsign.

- Added simple wildcards for the Spot History window callsign search.
  You can now search with XX*, *XX, and *XX*.

- Bug Fix: The call search from the Spot History window didn't always
  highlight the call if the foreground or background color was black.

- Allow the F4 shortcut (DX/Check Call) from Spot Map and Spot History
  windows.

- The window displayed using "DX/Check Call" can now be left showing (it
  no longer locks the focus to itself).  This window can now also be
  displayed from the Log Window using "DX/Check Call" (F4).  The
  position for this window is now saved across XMLog sessions.

- Added new data modes: FSK411, JT65, Olivia

*** 5.10 ***

- The "Grids/Worked+Confirmed" report can now show info based on 2, 4, or
  6 character grid designators.

- You can now supply a Mode field search key "Phone" or "Data" to match
  all appropriate values.

- Bug Fix: The Mode field search key "SSB" was not matching SSB, USB, and LSB.

*** 5.09 ***

- The keys use to send CW messages (Ctrl+F1...Ctrl+F8) were not always
  being passed to the Packet window from the Spot Map window.

- QRZ.COM lookups will now get any grid info.

- All callbook lookups (except QRZ CDs) will now get any QSL manager info.

*** 5.08 ***

- Added a "View" menu to the Log and Packet windows.  The follow menu items
  were moved to this new menu:

  Log Window:
    Display/Show QSOs Window

  Log and Packet Windows:
    Options/Show Packet Window
    Options/Show Packet Spots Map
    Options/Show Packet Spots History

  Packet Window:
    Edit/Split Screen
    Edit/Horizontal Scrollbar
    Edit/Memory Buttons

- Added a CW keyboard window displayed from Log or Packet windows using
  the "View/Show CW Keyboard" menu item.

- The stand-alone keyboard program XCW is now bundled with XMLog and
  no longer needs to be installed separately.

*** 5.07 ***

- Bug fix: The log window could not be minimized. (5.05 bug)

*** 5.06 ***

- Fix sizing problems with log window and packet spot window.  The
  bottom of the displayed info could be clipped or the status bar
  could be obscured.

*** 5.05 ***

- Added support for the Orion 2800 rotor

*** 5.04 ***

- Fix a problem with ADIF files that contain Satellite Name/Mode info.
  It seems the ARRL's LOTW system requires a "PROP_MODE=SAT" setting
  for these QSOs so we will now automatically include this value
  for QSOs that have any satellite fields set.

*** 5.03 ***

- Creating a new log file that supports fractional Power field values
  is now much easier. Instead of exporting/importing the log file
  using ADIF files you can create the new log using the Files/Copy Log to...
  menu item.

*** 5.02 ***

- Added support for Power field values less than 1 watt.  Only log
  files created by version 5.02 or later will support this feature.
  To use this feature with data from previous versions you must
  save all your log entries using the "Import/Export ADIF File"
  menu item, create a new log file, and then import the newly
  created ADIF file using the "Import/Import ADIF File" menu item.

- Bug fix: ADIF exports were getting "Type mismatch" errors (5.00 bug).

*** 5.01 ***

- Bug fix: The Awards/Critical QSO Summary reports were getting
  "Can't load fields for log entry" errors. (5.00 bug)

*** 5.00 ***

- Added new log fields: Satellite Name/Mode and Contest In/Out.  To 
  enable these fields choose the Options/Log Fields menu item and
  pick the Log Fields tab.

- Added a new group of fields, the Station Info fields. These fields
  define your location and the callsigns of the station and operator.
  To enable these fields choose the Options/Log Fields menu item and
  pick the Log Fields tab.

- Added a "Keep Alive" feature for network connections.  This feature
  is used to avoid the disconnects by some networks when the connection
  has been idle for some time.  XMLog can now periodically send a command
  when there has been no activity to avoid these disconnects.  See
  Options/Packet Options for details.

- When defaults for log entries are enabled and the "Set time to
  current time" option is enabled the Time Off field will be set
  to the current time when the entry is added.

- Bug fix: Bad location values for Ohio, Kentucky, and Louisiana
  resulted in bad heading displays for these states.

*** 4.96 ***

- Restored the Import/Export XMLog Text File menu items.  It seems
  that there were people still using this feature. (Removed in 4.86)

*** 4.95 ***

- Bug fix: The zone for Canadian QSOs was not being automatically set
  based on the province field.  Also, the province field wasn't being
  set for callbook lookups for QRZ and RAC callbooks.

*** 4.94 ***

- Bug fix: A "Can't create label record, field is too small" error
  would occur when printing QSL labels for QSOs with Alaskan stations 
  that have very long county names that were abbreviated in the log
  entry (e.g. Skagway...).

*** 4.93 ***

- Bug fix: The pop-up menu displayed by right-clicking on certain log
  fields (name, address, prefix, county, state) is supposed to include
  the option of setting these fields from the callbook. (4.80 bug)

*** 4.92 ***

- Update list of Asiatic Russian prefixes.

- When importing AIF files XMLog saves some information in the Notes
  field.

    SAT_NAME xxx  -> SAT: xxx
    SAT_MODE xxx  -> MODE: xxx
    SRX xxx       -> IN: xxx     (contest exchange info)
    STX xxx       -> OUT: xxx    (contest exchange info)
    ARRL_SECT xxx -> SEC: xxx    (contest exchange info)

  This version will now move this info from the Notes field to the
  appropriate ADIF fields during ADIF exports.

*** 4.91 ***

- Made some changes to the "Awards Worked/Confirmed" reports:

  1) The report now shows the most recent QSOs
  2) The WAS, Zone, IOTA and Grid reports show one more QSO entry
  3) Each line is prefixed with the QSL confirmation status

- Add the Icom IC-7800 to the list of supported rigs.

*** 4.90 ***

- Removed code added in version 4.89 that tried to dynamically change
  the printer page size setting when printing labels.

- Removed OR4 from the list of Antarctic prefixes.

*** 4.89 ***

- Mode/Frequency changes weren't always working for the TenTec Argonaut-V.
  Added a pause between commands and this seems to fix the problem.

- Speed up report generation for "Awards/..." menu items and for
  "DX/Update Packet DXCC status".

*** 4.88 ***

- Added support for the Icom IC-703.

- Added two options to the window displayed by "Display/Show QSOs
  Window" - "Show Name" and "Show QTH".  When these options are set
  the name/QTH will be displayed at the top of the QSO list.

*** 4.87 ***

- Reduce the number of "?" alerts for spots with unknown prefixes.
  Don't give alerts if no call is supplied or the call ends in "/MM".

  Also, alert inhibits for band/mode/etc. were not being honored
  if the spot was for an unknown prefix.

*** 4.86 ***

- Fixed another county name: Chittendon, VT > Chittenden

  This name change (and the changes made for version 4.84) will
  be automatically applied to log entries when the "Awards/Counties/
  Countiy Validation" menu item is invoked.

- SSTV, FAX, and VIDEO were being counted as data modes for DXCC, they
  are now correctly counted as Phone QSOs as per ARRL rules.

- Added a page orientation option for QSL and Mailing label page layouts.
  This option lets you select Landscape or Portrait mode.  The printer
  is returned to the original orientation after the labels have been
  printed.

- Bug fix: Fixed a problem that occurred when using "Edit/Set Fields
  from Callbook (Ctrl+F)" or when using the callbook to set default
  values for log fields. We now don't set any location fields
  (Prefix, Country, State, County, Grid) if the call includes
  a portable designator (/MM, /VP9, etc.)

- Restored the "Edit/Define Custom Modes" menu item that had been
  mistakenly deleted.

- Mode/Frequency changes weren't always working for the TenTec Omni-VI.
  Added a pause between commands and this seems to fix the problem.

- Remove support for importing/exporting 'XMlog format' files.  Also
  modified the QBasic conversion programs import.bas and import1.bas
  so they now create ADIF files rather than 'XMLog format' files.

*** 4.85 ***

- Updated the prefix file to change Yugoslavia to Serbia and Montenegro.
  Any existing YU log entries with dates past Feb 03, 2003 will have the
  country name updated automatically.

- Bug fix: The "Edit/Set Fields from Callbook" menu item previously
  replaced any existing values for the prefix/country fields.  This
  caused problems when the fields had been previously set to values
  appropriate for a portable operation (e.g. HB9AAA/HB0).

- Bug fix: Double-clicking on a call in the packet window could cause
  an "Overflow" error message if QRZ.COM callbook lookups were enabled.


*** 4.84 ***

- Added support for the Yaesu FT-897.
 
- There is a new form for search keys when you want to search for
  log records containing a certain string anywhere in the field.
  The old technique was to use a wildcard of the form =*xyz* to
  find all log records that contained xyz in the field.  You can
  now also use a search key of the form ~xyz to save some typing.

- The "Awards/Counties/County Validatiton" menu item now reformats
  the county names to a 'standard' form as well as fixing a few
  common spelling errors.

- Changed some county names.  Both the old and new forms are accepted.

                         IA: OBrien  > O'Brien
     AL, GA, IL, IN, MO, TN: DeKalb  > De Kalb
                     IL, TX: DeWitt  > De Witt
                         MI: LaPeer  > Lapeer
                     MS, OK: LeFlore > Leflore
                         ND: LaMoure > La Moure
                         NM: DeBaca  > De Baca
                         TX: LaSalle > La Salle
                         TX: Shackleford > Shackelford

*** 4.83 ***

- ADIF imports with the "Apply default values to imported entries"
  option enabled will now correctly set the address info for calls
  with a /1, /P, etc.

- ADIF imports now provide two options to handle duplicate records,
  ignore the record in the ADIF file, or replace the record in the
  log with data from the ADIF file.

- Bug fix: The "File/Backup Log" menu option wasn't disabled when 
  when there was no log open. When selected, it would display a
  spurious error message.

*** 4.82 ***

- Bug fix: Mode wasn't being set for the Kenwood TS-2000.

- Bug fix: Bearing/Distance computations were not working from
  locations having both southern latitudes and eastern longitudes.
  Also, changes to your configured location were sometimes not
  effective until XMLog was restarted.

*** 4.81 ***

- Bug fix: "File/Create New Log" wasn't working (4.80 bug).

*** 4.80 ***

- Added support for the Alinco DX-77

- Added an optional "Time Off" field.  To display this field use the
  "Option/Log Options" menu and enable "Display Time Off Field".

*** 4.79 ***

- Bug fix: Searches by band name above 2 meters didn't work in
  lower case, e.g. 125cm had to be entered as 125CM.

*** 4.78 ***

- Bug fix: Display/Short did not show the QSL status as confirmed
  when the QSL Rcvd date was set but the QSL Sent date was not.

*** 4.77 ***

- Changed "Import/Import CT .res File" so that it handles files
  created by recent versions of CT.  The QSO count field had been
  increased from 4 to 5 columns.

- Bug fix: The log window sometimes would not show the correct
  info at startup if two of the "Options/Log Options - Always
  Show ... Info" options were selected.

*** 4.76 ***

- Bug fix: The "Awards/Create DXCC Submission Forms" report wasn't
  sorting entries for deleted countries properly.

*** 4.75 ***

- Added a new menu item for the log window: Display/Show QSOs Window
  This window will display a list of QSOs that have calls that match
  the call currently displayed in the log window.  This list is
  automatically updated if a new log entry is displayed or if the
  call in the current entry is edited.

*** 4.74 ***

- Changed the Import/Export menu item back to Import.  Adding the
  extra characters caused the menu bar to use two lines on some systems.

*** 4.73 ***

- XMLog now supports the CW defintion of the @ character (.--.-.).
  The @ was previously used to send the SK prosign which is now
  sent by using ^ (Shift+6).

- Bug Fix: The Spot History Window wasn't showing data modes
  correctly (RTTY, etc.) if the mode was the very first part
  of the spot comment field (4.69 bug).

*** 4.72 ***

- Report windows now include a "Print Report" and "Save Report As..."
  icon.

- The zone for H40 (Temotu) was incorrect (28 instead of 32).  Logs
  will be automatically updated when they are opened.

- The Packet Spots History Window can now be scrolled with the mouse
  wheel.

- Bug Fix: The Critical QSO Summary report for DXCC should not count
  CW QSOs made before 01/01/1975 as credit for a new mode.

*** 4.71 ***

- Added a new Log Window menu item "Edit/Change Date and Time for
  Multiple Entries".  The primary use for this menu item is to
  adjust date/time values from local times to UTC.  See the help
  file section "Modifying Multiple Entries" for more info.

- Added a new Log Window menu item "File/Backup Log".  See the help
  file section "Backups" for more info.

*** 4.70 ***

- The U.S. County field now allows actual county names for Alaska.
  Previously only district names (Central, South Central, ...) were
  allowed since the County Hunters award is based on districts
  rather than counties.  The county reports created by the
  Awards/Counties menu items will still display statistics based
  on Alaskan districts and will automatically map county names
  to their appropriate district.

- The "Awards/Counties/County Validation" menu item now reformats
  the county names to a standard format.

- Formally when using the "Edit/Set Fields from Callbook" menu
  item (Ctrl+F) the County/State fields would be set from the
  callbook if the county field was blank.  Now if the state field
  is already set and is different from the state in the callbook
  the State/County fields won't be updated.  This handles the case
  where you have a log entry for W1XXX/KL7 and you have the state
  already set as Alaska - you don't want to reset the County/State
  to the callbook values for W1XXX.

- Bug Fix: The "Import/Import CT .RES File" menu item wasn't working
  correctly with records having dates with 1-digit months (4.66 bug).
 

*** 4.69 ***

- Reversed the command sequence for setting the frequency and mode
  for the Elecraft K2.  Setting the mode then frequency resulted
  in the mode setting being overridden.

- Bug Fix: Some users that had selected a non-English value for
  their Windows regional settings would get a "Type Mismatch"
  error message from the Packet Window. 

*** 4.68 ***

- Bug Fix: The "AutoScroll Disable" feature for the Spots History
  Window wasn't working.

*** 4.67 ***

- During ADIF imports consider SSB equivalent to USB and LSB
  when checking for duplicate records.

- Bug Fix: The mode was not being displayed in the Spot History
  Window for 60m spots.

- Bug Fix: Disabling the "Enable CW Alerts" option did not disable
  alerts if the "Add Band/Mode to CW Alerts" option was enabled.

- Bug Fix: If you closed the Packet and Spots History window while
  a node file was in progress you would receive a "Can't Write Spots
  Map Info File" error message and any spot history band definitions
  would be lost.

*** 4.66 ***

- Changed the log menu item "Import" to "Import/Export".

- Bug fix: The width of the band displays sometimes would not extend
  to the width of the band map window.

*** 4.65 ***

- Add a new menu item "Awards/WAZ Validate Zones".  This menu item
  produces a report that lists QSOs that may have bad zone settings.

- Remove reference to wininet.dll - this was causing install problems.

*** 4.64 ***

- Don't back up logs if there haven't been changes since the last backup.
 
- Added support for the TenTec Paragon-I.

- Included the new interface for Buckmaster callbook CDs (hamcal32.dll). 
  This version searches any callbook update files.

- Bug fix: ADIF imports - If there were invalid fields in a record
  and the record was edited and the "Include" button was selected XMLog
  would get stuck in an infinite loop if there were still errors in
  any field.

- Bug fix: ADIF imports - Any change to the "Don't Import Dupes"
  and "Verify County Guesses" options were not being saved.

- Bug fix: Setting the Packet window alert option "Don't display QSO
  status lines" would also disable other spot related features (spot
  highlighting, voice/cw alerts, and spots would not always get added
  to the Packet Spot Map and Packet Spot History windows).

- Bug fix: Log searches using ? for the frequency field didn't work
  and gave a spurious error message.

- Bug fix: The Awards/Create DXCC Submissions report did not include
  29 mHz entries if the 10m filter was set (or 51-54 mHz entries if
  the 6m filter was set).

*** 4.63 ***

- Change default prefix used for ADIF exports from .ADF to .ADI

- Added new commands that can be included in CW and Packet messages.
  These commands are replaced by fields from the current log entry:

     #LOGCALL   #LOGCOUNTRY #LOGFREQ  #LOGFREQMHZ
     #LOGGRID   #LOGMODE    #LOGNAME  #LOGPOWER
     #LOGPREFIX #LOGQTH     #LOGSTATE #LOGZONE

- Bug Fix: ADIF exports didn't include a "Band" field for 60 meter QSOs.
  
*** 4.62 ***

- Added a "Don't show already accepted entries" option to the awards
  submission tracking reports.

- Improved the handling of rotor position displays in the popup menus from
  the packet, spot map, and spot history windows.

- Bug fix: Spots were not being handled properly by the packet window when
  the horizontal scrollbar option was disabled and the width of the packet
  window was very narrow.

- Bug fix: The frequency wasn't being read properly from the TenTec Orion.


*** 4.61 ***

- Add 60m to the list of allowable search keys for the frequency field.

- Improve mode handling from spots in packet window.


*** 4.60 ***

- The packet window menu item "DX/Check Call" now displays more info.
 
- PacketCluster alert times for the Spot History and Spot Map windows
  now extract the time from the alert itself rather than using the
  current time.

- The packet window now features Rig/Rotor memory buttons.  These buttons
  are enabled using the "Edit/Memory Buttons" menu item.  For details see
  the help section "Memory Buttons" within "Using the Packet Window".

- Added LSB and USB to the modes list.

- Added a "Edit/Clear Spot History" menu item to the Spots History window.

- Bug fix: Frequencies were not being extracted properly from PacketCluster
  spots when the spotting station had a long callsign.

- Bug fix: The date/times displayed in the Spot History window did not
  take daylight savings time into account when "Use UTC" was not set.


*** 4.59 ***

- Added rig support for the Elecraft K2.

- Bug fix: If no default log file was set an "Invalid procedure call" error
  would be displayed during startup (4.58 bug).


*** 4.58 ***

- The "Select" button wasn't getting the initial focus in the Log window
  if the packet auto-start option wasn't set.

- Update country names to fix spelling errors or to match the names
  used in the ARRL DXCC list.  All entries in log files will be
  automatically updated when they are opened.
    
  3C0      Pagalu I.     ->  Annobon I.
  CT3      Maderia Is.   ->  Madeira Is.
  ER       Moldavia      ->  Moldova
  EY       Tajikstan     ->  Tajikistan
  HK       Columbia      ->  Colombia
  PZ       Surinam       ->  Suriname
  T5       Somali        ->  Somalia
  VP2M     Monserrat     ->  Montserrat
  VU/L     Laccadive Is. ->  Lakshadweep Is.
  XT       Burkino Faso  ->  Burkina Faso
  XU       Kampuchea     ->  Cambodia
  YA       Afganistan    ->  Afghanistan
  *8Z4     Suadi-Iraqi   ->  Saudi-Iraqi
  *8Z5     Kuwait/Iraqi  ->  Kuwait/Saudi
  *CR8/D   Damoa         ->  Damao
  *HK0/B   Baha Nuevo    ->  Bajo Nuevo
  *VQ9/D   Desroshes     ->  Desroches

- Add rig support for the Yaesu FT-857 and the TenTec Orion, Jupiter and
  Argonaut-V.

- Bug fix: If the packet port was set to "Internet" with no node file
  a "Can't read node file" message would be displayed.  (4.57 bug)

    
*** 4.57 ***

- Fixed a problem where Node files were getting stuck when connecting to
  certain Internet addresses.

- Custom labels: Frequencies can now be displayed as bands (80m, 20m, etc.).
  Frequency (mhz) now displays 160m as 1.8 and 80m as 3.5
  rather than 1 and 3.

- Internet addresses with explicit port numbers can now be specified
  as "address port-number" or as "address:port-number".

*** 4.56 ***

- Improved QRZ.COM support. "State" field now gets set for US calls.

*** 4.55 ***

- Bug fix: Packet window didn't initially scroll to last line if the window
  was maximized.

*** 4.54 ***

- Add built-in support for callbook lookups using QRZ.COM (see
  "Options/Callbook Setup").

- Bug fix: Wild cards weren't working for the callsign field (4.53 bug)

*** 4.53 ***

- When searching the log by callsign entering a call that contains a slash
  will match two versions of the call.  For example if you enter W1ECT/KH6
  this will match entries for W1ECT/KH6 and entries for KH6/W1ECT.  If you
  only want an exact match you can precede the call with an = sign, for
  example =W1ECT/KH6 will not match KH6/W1ECT.  This new feature does not
  try to handle more complicated calls that contain more than one slash,
  for example KH6/W1ECT/P.

- In version 4.50 I had changed "File/Copy Log To..." such that it rebuilt
  the log database as it was copied.  For some reason this causes problems
  when the destination is a floppy diskette.  For the time being the file
  copy menu item will revert to the old technique of simply copying the file.

- Added "Band" fields to ADIF exports.

- Bug fix: Packet highlighting for PacketCluster spots wasn't always
  highlighting the appropriate area.

- Bug fix: The names for the XMLog awards tracking date fields were
  mis-named in ADIF export files.  However the data was being saved/restored
  properly except for the WAZ/Reject date which was not being restored.
  Since these fields are unique to XMLog this bug doesn't affect other
  programs since the fields would be ignored.

- Bug fix: The date format setting DD/MM/YY was being changed to MM/DD/YY
  after an ADIF import.

*** 4.52 ***

- You can now click on "CW KB", "Pileup", etc. at the bottom of the Packet
  Window to clear these modes.  Clicking on "Scrolled" is the same as
  using the "End" key.

- Bug fix: The dates shown by "Display/Display Excel" were not always
  respecting the date format setting (mm/dd/yy vs. dd/mm/yy).

- Bug fix: If you chose "Display/Display All Entries for Call" while
  adding a new log entry all fields would be erased or set to values
  from the current entry.

- Bug fix: The log window was going into edit mode when right-clicking
  on a field. This only applies when the "Show Modify Button" option is
  disabled.

*** 4.51 ***

- Improved the CW timing - it was noticably bad on my new XP system.
  Also, fixed a problem where some CW COM ports were starting in a
  key-down state on XP.

- Changed how totals were being calculated for CW DXCC.  No credit
  should be given for QSOs before 1/1/75.

- Added a new option to the Spot History display that allows you to
  override the default auto-sizing of columns.

- Bug fix: "Help/Display changes.txt" was giving "Out of memory" errors.  

*** 4.50 ***

- The Packet Spot Display has been renamed, it's now the Packet Spot Map.

- Added a new way to display spots as a list.  To try this new display
  use the "Options/Show Packet Spot History" menu item.  See the help
  file for more info.  This display can be a good alternative to the
  normal packet window when all you want to see is the spot info and
  not all the chit-chat. While the Spot Map is a good way to display
  recent spots the Spot History is better at managing large numbers of
  spots and also maintains a record of spots from previous sessions.

- Bug Fix: If you gave a name of a non-existant file for an ADIF import
  XMLog would create an empty file with that name and import 0 entries.

- Bug Fix: ADIF imports could miss some data if an end-of-record (EOR)
  flag was followed by data for the next record without starting a new
  line. This was occurring for files created by an old version of LogEQF.

*** 4.49 ***

- Awards/DXCC Submission Form: Add a list of multi-QSO calls at the end
  of the report.

- Added ADIF DXCC indexes for East Timor, Chesterfield Is., and Ducie I.
  as per ARRL.

- Changed the province abbreviation for Newfoundland/Labrador from NF to NL.

- Added a "File" menu item to reports that allows a "Save As..." and "Print".

- Allow the grid tracking report to track bands above 2 meters.

- Increase the maximum frequency in log entries to 10 gHz.

- Bring IOTA list up to date.

- Bug Fix: Searches using a band name above 2 meters wasn't working.

*** 4.48 ***

- Allow mouse-wheel scrolling for the log, report, and packet windows.

- Bug fix: If the packet form was minimized when XMLog was closed the next
  time XMLog was run you could see a "Form cannot be moved or sized while
  maximized or minimized" message. (4.47 bug)

*** 4.47 ***

- Added support for the Icom IC-746Pro, IC-7400, Yaesu FT-747 and
  Heath SB-1400.

- The spot display window now provides a "Display all entries for call"
  option when right-clicking on a callsign (just like the packet window).

- You can now do log searches by band by providing the band name in the 
  frequency field (like 160m, 30m, 10m, ...).  The old technique of just
  providing the mHz portion to do searches by band is still supported.
  See "Search Keys" under the "Searching the Log" section of the help file
  for more info.

- Bug Fix: The longitude was not being read properly from Buckmaster callbook
  CDs resulting in bad headings/distances for entries that had the location
  set.

*** 4.46 ***

- Award tracking dates: Require submit date if accept or reject date is set.

- Bug fix: Callbook lookups didn't always show country in window caption.

*** 4.45 ***

- Add CW PTT control for LPT ports.

- Bug fix: Double-clicking on lines in a DXCC Submission Report didn't go
  to the correct log entry.

*** 4.44 ***

- The Worked/Confirmed and the Submission Tracking reports now include
  a totals line for each band/mode.

- The CW Options menu now lets you set an option that toggles the RTS line
  of the COM port while CW is being sent.  This signal is used by some
  PC-to-rig interfaces to control the rig PTT circuit - useful when you
  aren't in QSK mode.

- Bug fix: More fixes to log searches.  Using = and != comparisons on 
  numeric and submission date fields wasn't matching all the appropriate 
  entries.

*** 4.43 ***

- Added a new "Awards/DXCC/Create DXCC Submission Forms" menu item.  This
  creates the QSO detail forms that are submitted to the ARRL with DXCC
  applications (hopefully these "non-official" forms will be accepted).

- Added an automatic log backup feature.  Use the Help button from the
  "Options/Log Backup Options" menu for details.

- Removed message about previously installed XMLog version from the
  installer.  Also removed message about replacing prefixes file.

- Bug fix: A log search using a "not equal" (e.g. !=buro) also wasn't
  matching all the appropriate entries.

- Bug fix: The address info was sometimes being mishandled on ADIF imports.

*** 4.42 ***

- Both the Clear and the Stop buttons are now always displayed when adding
  new log entries.

- When a new log entry is created from the Packet or Packet Spots
  window Add mode is exited automatically after the entry is added.

- #him is now set when new log entries are created from the Packet or
  the Packet Spots window.

- Bug fix: The "Verify Prefix Guesses" option was being ignored if
  the "Set Fields from Callbook" option was enabled.

- Bug fix: A log search using a "not equal to wildcard" (e.g. !=*buro*)
  wasn't matching all the appropriate entries.

*** 4.41 ***

- Bug fix: "File/Create New Log" was giving a "Can't set property" error
  message (4.39 bug).

*** 4.40 ***

- Bug fix: The "Grids Worked/Confirmed" report gave a subscript error when
  the number lines in the report exceeded 250.

*** 4.39 ***

- Added a new option for imports "Ignore Duplicate Entries".  An entry is
  considered to be a duplicate if the Date/Time/Call/Frequency/Mode fields
  are the same.  This option is enabled by default.

*** 4.38 ***

- The packet window menu item "DX/Check Call/Prefix" (F4) now displays the
  country/bearing information as the callsign is entered.

- "DX/Show Country List" now displays the country/bearing information and
  selects the country as the callsign is entered (no more Guess button).
 
- Leading and trailing spaces are now allowed on CW messages so you can
  send multiple messages and not have them run together.

- Bug fix: Fixed problem that caused error messages when trying to create a
  QSL or mailing label layout whose name contained a quote.

- Bug fix: Highlighting in log fields using Shift+Home,End,Left/Right Arrows
  wasn't working.

*** 4.37 ***

- Changed commands used for Hy-Gain DCU-Rotor to be compatible with the
  Rotor-EZ controller for HyGain Tailtwister/Ham2/Ham3/Ham4 rotors.

*** 4.36 ***

- The packet window can now be configured to do an auto-connect at startup
  for comm ports as well as Internet ports.  Use "Options/Packet Options"
  to set a node file name for "Comm Port Auto-Connect".

- When importing a file you can now define default field values that will
  be applied to each imported entry.  These defaults are seperate from the
  defaults that are used when creating log entries from the log window.

- Previously, if you double-clicked on a line within a report to display
  the corresponding log entry XMLog would complain if that entry wasn't
  a member of the currently selected entries.  Now you're given the option
  of selecting all log entries so that the requested entry can be displayed.

- Add new entries for Icom rig control: IC-706MkIIG, IC-718, IC-731,
  IC-746MkII, IC-751A, IC-756Pro, IC-756ProII. Also fixed the IC-706MkII
  entry (it had an incorrect rig address).

- Added support for the Yaesu FT-980

- Bug Fix: The RTTY and FM mode setting for the FT-1000MP was incorrect.

- Bug Fix: CW Alerts would not sound if there was no CW Port configured
  and the CW sidetone was disabled.

- Bug Fix: The latitude/longitude for S. Sandwich in the prefixes file
  was reversed!

*** 4.35 ***

- Go back to using old style beeps when the beep type set from "Options/Sounds" 
  is set to "Default".

- Bug Fix: Don't check for packet comm port conflicts if the packet port type
  is set to "Internet".

- Bug fix: It was possible to get an "Invalid Call" error from the packet
  window after doing a "DX/Update Packet DXCC Status" (4.32 bug).

*** 4.34 ***

- Added a new menu item "Options/Sounds" that lets you select beep sounds
  for the Log and Packet windows.

*** 4.33 ***

- Callbook lookups using the Flying Horse CD now make use of the DXCC info
  provided on the CD.  This helps identify countries for callsigns that
  can't always be determined from the call alone (like ZK1, 3D2, VP8, etc.).
  To make full use of this feature (e.g. for determining the country for
  PacketCluster spots) you should copy your CD to your hard disk and set the
  "Use Callbook for Locations" option using "Options/Callbook Setup".

- Bug fix: An error would occur if you did a Save from the Log Options window
  while the log window was minimized.

- Bug fix: The PacketCluster alert option "Don't display QSL status lines"
  wasn't working properly (4.32 bug).

*** 4.31, 4.32 ***

- Since most new PacketCluster nodes don't recognize the Set/ANSI command
  the "Highlight" option set from the "Options/Packet Options" hasn't been
  very useful.  Now XMLog will do its' own highlighting of the frequency/call
  portions of spots when the Highlight option is enabled.  When the spot
  causes an alert the highlighted area will be extended a bit around the
  frequency/call to make it stand out.

- Bug fix: For ADIF imports 12 meter QSOs that had the "BAND" field set but
  had no "FREQ" field set were having the frequency set to ?.

- Bug fix: More fixes for colors for various windows not being saved across
  XMLog sessions.  The problem was occuring when the color was set to black.

- Bug fix: The packet window input area wasn't always getting focus when the
  packet window started. As a result you couldn't enter anything! 

- Bug fix: Fix another problem with the packet window starting up minimized
  with an unspecified Internet address.  You couldn't shift focus to the
  prompt to enter the address.
 
- Bug fix: When updating older versions of XMLog it was possible to get a
  "Field length cannot be zero" error when copying the new demo QSL label
  layouts.

*** 4.30 ***

- Bug fix: The colors for the packet spot window were not always being
  saved across XMLog sessions.

- Bug fix: If the packet window port was set as an Internet port with
  no default address an "Invalid procedure call" error could result.

*** 4.29 ***

- Bug fix: The "Countries Needed", "Zones Needed", etc. reports were
  sometimes producing "Invalid procedure call" errors.

- Bug fix: For submission tracking reports, if a QSO was shown as "Accepted"
  it would not be shown as "Submitted" as well.

- Bug fix: "File/Print..." wasn't working for the packet window.

*** 4.28 ***

- Added a new item to the popup menu that's displayed when you right-click on
  a callsign in the Packet Window - "Display all entries for call".

- Added "Awards/Grids Worked+Confirmed" report.

- Bug Fix: The Packet Spot Window still wasn't allowing a band definition for
  6 meters - it wasn't being restored in the next XMLog session.

*** 4.27 ***

- Bug Fix: The Packet Spot Window wasn't allowing band definitions for 6 meters.

*** 4.26 ***

- Added Ducie Island as a new DXCC country.

- Added support for the Yaesu FT-817

- Add six meters to the Awards reports and PacketCluster alerts.
  Six meters will be intially set as one of the "Bands to Ignore" in
  the "DX/PacketCluster Alerts" menu item.

- Added two new inhibit types for the "DX/PacketCluster Alerts" menu item.
  You can now inhibit alerts for spots for countries that have already been
  worked or have QSLs outstanding.

- The "PacketCluster Alerts" options are now accessible from the
  "Options/Packet Options and Port" menu item.

- Bug Fix: The state wasn't being set correctly for ADIF imports when
  the section was WCF or WMA.

*** 4.25 ***

- Undo the change made in 4.24 that switched the order of commands sent
  when changing a rig's frequency/mode.  Caused more problems than it cured.

*** 4.24 ***

- Added new menu items for the log window:
    "Labels/Add Mailing Labels for all Selected Entries"
    "Awards/WAS Critical QSOs"
    "Awards/WAS Needed States"
    "Awards/WAZ Needed Zones"
    "Awards/IOTA Totals"
    "Awards/IOTA Checklist"
    "Awards/IOTA Critical QSOs"
    "Awards/County Totals"
    "Awards/County Checklist"
    "Awards/County Critical QSOs"

- Added a new option for "Options/Rig Port Select".  This option lets you
  select which mode is set when setting the rig frequency for a "Data" QSO.

- Switched the order in which commands are sent to your rig - first the
  frequency is set, then the mode.  Setting the mode first had an annoying
  side effect for some rigs in that the mode 'memory' for the current band
  could be set inappropriately.

- Set rig mode to FM when setting frequencies 29.510 through 29.700 mHz

- Added new county: Broomfield, Co.

- Bug Fix: The "Callsigns to Upper Case" option wasn't being applied to
  Excel reports.

*** 4.23 ***

- Bug Fix: Font changes to the log form were not being applied to the
  next XMLog session.

*** 4.22 ***

- Bug Fix: ADIF imports were not handling fields that contained leading
  or trailing spaces.

*** 4.21 ***

- If the "Rejected" field for a QSO is set the QSO is not considered to
  be worked/confirmed/submitted/...  and doesn't contribute to any values
  in the Summary reports (except possibly the "rejected" count).  If there
  is another QSO that can be used to replace the rejected QSO then the
  rejected QSO doesn't even contribute to the "rejected" count.

  This subtle change was made because with the old scheme the rejected
  QSO was taking precedence over any other QSO that was made later.
  For example if an A5 station was worked, confirmed, submitted and
  then rejected things were reported correctly (and this QSO showed up
  in the "rejected" count).  But if you then worked another A5 station
  (and confirmed/submitted it) A5 was still shown as rejected.

  The most noticible effect of this change will be that the "submitted"
  counts will no longer include submitted QSOs that were rejected.

- The Worked/Confirmed reports now includes the submitted/accepted status.

- Include import7.bas, a utility for converting DXBase 4.5 logs to XMLog
  import format.  Thanks Wayne, VE3JV.

- Bug Fix: The format for some columns in the Excel display were not being
  explicitly set which caused Excel to auto-format these values (an RST
  of 5-9 was displayed as a date!).

*** 4.20 ***

- Added a new command for node files "pause xxx" where xxx is the number
  of seconds to pause and can be 1 to 30.

- Bug Fix: QSOs within multi-QSO labels were not being correctly sorted
  by date.

- Bug Fix: Countries that only had rejected QSOs were not being displayed
  in the "DXCC/Needed Countries" report.

- Bug Fix: Not all of the newly added data modes were being exported
  for ADIF files.  (Were being mapped to "RTTY").

*** 4.19 ***

- Added new data modes: MTTY (Mini RTTY), ASCII, GTOR (Golay TOR),
  PAC2 (Pactor II), FSK31, HFSK, MFSK8, MFSK16, PSK63, PSK125, THROB,
  Q15X25, and PCW (Precision CW).  These modes are now officially supported
  for ADIF import/export.

- Added a "CW/Key Down" menu item for the packet window.  This will lock key
  down for transmitter tuning.  Select it again to lift key.

- The maximized/minimized state for the log, packet, and spot windows is
  now saved across XMLog sessions.

- Bug Fix: Selecting a rig type of Icom or TenTec gave a "Rig type too
  large" error.

- Bug Fix: Using the "Options/Log Options" menu item while the Log window
  was maximized caused an error.

*** 4.18 ***

- Bug Fix: "Display/Display Excel" could hang if used more than once
  in a single XMLog session.

- Bug Fix: Divide faults could occur when computing headings if the
  other station's location was close to yours.

*** 4.17 ***

- Added a new report format "Display/Display Excel" which creates a report
  displayed in an Excel spreadsheet.  This report can be customized to
  display any combination of log fields.

  This feature requires Microsoft Office to be installed on your system.

- Added a new log menu item "Edit/Set Fields from Callbook" (Ctrl+F)
  which sets the name, address, qsl via, county, state and grid fields.
  Only sets fields that are not currently set.

- Changed how callbook lookups are used to set fields for new log entries.
  Previously there were seperate options for setting the name and address.
  Now there is a single setting that sets the name, address, qsl via,
  county, state, and grid fields.

  This new option is "Get Info from Callbook" and can be set from the
  "Edit/Edit Defaults for New Entries" menu item.

- Restored the item counter in the heading of reports.  It now only counts
  actual entries in the report, not headings or blank lines.

- Improve handling of calls containing a / during callbook lookups.

- Allow most control characters to be entered in the packet window.

- Added "Set Rotor to..." to the popup menu displayed when right-clicking
  on the Call, Prefix, or Country fields of the log window.

- Added a query named 'All-Formatted' saved in XMLog log files (which are
  MS Access databases).  This query formats and returns all fields in the
  database.  This makes it easier to get XMLog entries from Excel, etc.

- Bug Fix: Buckmaster callbook CD lookups were not returning the full
  address.

*** 4.16 ***

- The currently opened log can now be copied to an alternate location using
  "File/Copy Log To...".  This can be useful for creating backups in other
  folders or on diskettes/CD's - it doesn't affect the current log.

- Added "Worked/Confirmed" reports for the DXCC, WAS and WAZ awards.

- The DXCC/WAS/WAZ summaries now display the awards tracking counts
  (submitted/accepted/rejected) if any have been set.

- The DXCC summary now displays deleted country counts.

- The "DXCC/Need Countries" report now shows deleted countries, but only
  if the status is worked or outstanding.

- Bug Fix: Custom labels defined in centimeters were not being printed
  correctly.

- Bug Fix: Callbook lookups were not always ignoring any portable
  designation (/1 etc.).

- Bug Fix: Log searches using the prefix field could fail for certain
  prefixes.

*** 4.15 ***

- Added right-click support for the packet spots window allowing you to:
     Set the rig frequency
     Do callbook lookups
     Start a log entry
     Set the rotor position

- Allow double-clicks within 'Invalid County' reports to move to
  corresponding log entries.

- Bug Fix: Couldn't define new bandsets for packet spots window.

- Bug Fix: Fixed problem that caused a "Can't assign spot site" message
  when displaying long callsigns in the packet spot window.

- Bug Fix: Fixed the problem with random ghostly outlines that could
  appear when printing QSL labels.

*** 4.14 ***

- Bug fix: Background color settings for custom QSL and Mailing labels
  were causing problems (clearing an area in the upper left of the page).

- Bug fix: Mailing labels added through the callbook lookup form were
  not getting sorted by country/call/date when printed.

- Added documentation for the Packet Spot Window to the help file.

*** 4.13 ***

- Bug fix: #cr's were being ignored in packet message definitions when
  they were sent while in split screen mode.

- Bug fix: If the "Use Callbook for Locations" option was enabled with
  the QRZ or Buckmaster CD, XMLog could hang when entering calls.

*** 4.12 ***

- Use Right-Click on the Callsign field to show a popup menu containing
  the last 10 QSO's with this station (replaces Ctrl+Click).

- The double-click action for log fields can now also be accessed by
  popup menus displayed by right-clicking on the field.

- Changed the main prefix for the Chesterfield Islands from TX to FK/C
  to agree with the DXCC countries list.

- Added support for Multi-QSO labels.  Check the help file for details and
  see the Demo layouts "Demo QSL-5" and "Demo QSL-4 Small".

- Labels are now sorted when printed (by Country, Call, Date and Time).

*** 4.10 ***

- Version 4.05 included a feature that allowed you to update certain fields
  by double-clicking on them when the "Modify" button is enabled.  This
  will now put you in edit mode so you have the option of selecting "Cancel"
  to discard the change.

- The spot display window has a new option: "Don't Show Inhibited Spots".

*** 4.08 ***

- Packet window input editing has been changed to be consistent with
  Windows standards.

    Tab or Shift/Tab          - Move right/left one word (unchanged)
    Control+Right/Left arrow  - Move right/left one word (new)
    Control+Home/End          - Move start/end of line   (new)

   Check "Help/Sortcut Guide" for a list of all editing characters.

*** 4.05 ***

- A Ctrl+Click on the Callsign field shows a list with the last 10
  QSO's with this station.  You can navigate to an entry in the list
  by selecting it assuming you aren't currently editing the entry.
  You can also choose to display a Window with all the entries (same
  as the "Edit/Display All Entries for Call" menu item).

  I had hoped to have this feature controlled by a right-click but
  it turns out that it's difficult to disable the default right-click
  action for a field - maybe later...

- When you have the "Modify" button enabled and you are not currently
  editing an entry Double-clicking on fields now works.  This means that
  you can set the mode/freq from your rig, do callbook lookups, or set
  the IOTA, country, county, fields from a list.  Check the "Help/Display
  ShortCut Guide" menu item to see which fields allow Double-Clicking.
  Double-clicking previously only worked when an entry was being edited.

- You can now control which groups of fields are shown in the log window
  by setting options from the "Options/Log Options" menu item. Use the
  "Always Show QSO Info Fields", "Always Show Address Fields", and the
  "Always Show Awards Tracking Fields" options. See the help file for
  details.

- Added support for the Yaesu FT-1000D separate from the FT-1000.
  There are entries for "new" and "old" versions. Later versions
  of the FT-1000D support commands that allow faster responses.

- Whenever the PacketCluster Spot Display has the focus, anything
  typed there gets passed to the packet window (including control
  keys used to send CW messages, Home, Page Up, etc).

- Bug fix: The "Get Name From Callbook" feature available from the
  "Edit/Edit Defaults" menu didn't work for non-US/VE calls using
  the Radio Amateur Callbook CD.

- Bug fix: The address fields didn't have the correct data for ADIF
  exports.

*** 4.04 ***

- Added an experimental PacketCluster Spot Display. Use "Options/Show
  Packet Spots Window". Use the Help menu item from the spot window
  for a description of the features.

- You can now add to the the list of recognized modes by choosing
  "Edit/Define Custom Modes" from the log window.

- The "Options/Packet Options" and "Options/Packet Port" menu items have
  been combined.  The "Options/Packet Options and Port" window now has
  three tabs that let you set the Options, Port, and Messages.

- The "Options/Autostart Packet Window" menu item has been moved to the
  "Options/Packet Options and Port" window. This new option can be found
  under the Options tab as: "Display Packet Window When XMLog Starts".

- You can now change the font used for the log window by choosing the
  "Options/Log Options" menu item.

- Double-clicking on log entry fields to set values now also works
  while entering search keys.

- "File/Print Setup" now works on Windows NT and 2000.  The settings
  not saved between XMLog sessions.

- Bug fix: TenTec OMNI-VI support didn't work.

- Bug fix: Lookups for undefined calls using the Winter 2001 Callbook
  CD could display a error message with a status of 65532.  Replaced
  the callbook interface routine with their latest version.

- Bug fix: A double-click on an empty QSL Via field caused killed XMLog.

- Bug fix: Importing ADIF files that had format errors in the first record
  would stop without importing records or giving an error message.

*** 4.00 ***

- This is the first "32-bit" version of XMLog.  This version will not run
  on Windows version 3.

- If you have a 'wheel' mouse you may need to update your mouse driver to
  get the wheel to work.  The latest mouse drivers are available at:

  www.microsoft.com/products/hardware/mouse/driver/default.htm

*** 4.00 Log Window ***

- New log files will be created in Microsoft Access 97 version format.
  This version will still be able to use log files created by previous
  versions of XMLog (which were created in Access version 2 format).  Logs
  created with XMLog 4.00 cannot be used with previous XMLog versions.

- A new set of "Address" fields have been added to the log.  To display
  these fields click on the "Show" button in the lower left of the window.
  This button now cycles through the QSO info, Address, and Awards Tracking
  displays.

- The "Name" and "Address" fields can now be set from your callbook CD by
  double-clicking on them.  You can also have them automatically set when
  creating new log entries by using the "Edit/Edit Defaults for New Entries"
  feature.  If the address info from the callbook CD has any "QSL Via"
  info, this info is moved to the QSL Via field.

- When using "Labels/Add Mailing Label" the address info is taken from the
  address fields of the current log entry (not from the callbook).

- Mailing labels can specify a custom layout seperate from the current QSL
  label layout (use "Options/Mailing Label Layout").

- Mailing labels are now saved in their own list (mailing.out).  The QSL
  and Mailing labels lists now have their own Print and Erase commands
  (e.g. "Labels/Print Mailing List").  This feature can be disabled by setting
  the "Combine QSL/Mailing Labels" option from the page layout window.

- Custom layouts can now include pictures.

- The country "guess" and the heading/distance are shown in the log window
  caption as callsigns are edited.

- Added a "Show new entries after Import or Add" feature.  When this feature
  is enabled newly added or imported entries are displayed as the currently
  selected entries.  This feature is enabled by default - to disable it use
  the "Options/Log Options" menu item.  When the feature is disabled the
  currently selected entries are not changed by an Add or Import.

- The UTC offset and Daylight Savings values are now taken from your Windows
  settings.  XMLog no longer has any UTC offset or Daylight Savings settings.

- Automatically generated QSO dates/times may now be local or UTC.  Set or
  clear the "Use UTC" option from the "Options/Log Options" menu item.

- Callsigns may now be mapped to upper case.  Use "Options/Log Options" to
  set "Callsigns to Upper Case".

- The IOTA field can be set by selecting from a list.  Use "Edit/Set IOTA
  From List" or double-click on the IOTA field.

*** 4.00 Packet Window ***

- You can now right-click in the packet window to select from a list of actions
  that were formerly selected by shift/left-click, etc.  This means that you can
  no longer use a right-click to read BBS and PacketCluster messages, but this
  function is now the first item in the action list.  See the help file section
  on the Packet Window Popup Menu for details.

- Changed the CW sidetone support for sound cards.  See the Option/CW Options
  menu item and check the CW Setup section of the help file.

- Windows NT: CW keying via a comm port is now supported (no LPT support yet).
  Also, CW sidetone via the speaker or sound card is supported.

- You can now set the CW port to "none" and enable the sidetone to do local
  CW testing - e.g. to send a file for code practice.

- CW, Packet, Rig, and Rotor comm port numbers can now range from 1 to 8.

*** 4.00 Callbooks ***

- Added Control+L as a shortcut for "DX/Callbook Lookup" for the Log and
  the Packet windows.

- Callbook lookups now display a list of QSOs for the call. Double-clicking
  on an entry in this QSO list will move the main log window to that entry (if
  it's among the currently selected log entries).

- The location for the Callbook, Inc. database can now include a pathname.

- The callbook setup window now includes the option "Use Callbook for
  Locations".  When this option is enabled your on-line callbook is checked
  when computing headings (handles the W8 who has moved to W4). It is also
  checked when guessing contries (handles KP2AA who is really in Arizona).
  This option should only be used if your callbook data has been moved to
  your hard disk.

*** 4.00 Misc. ***

- Main prefix change: KC6 (W. Carolines) is now T8 (Republic of Palau).

- Added more flexible color control for Options/Colors.

- Added more flexible clock control for Options/Status Bar Clock.

- Combined dialog for "Options/Packet Options" and "Options/Select Packet Port".

*** 3.04 ***

-  Update IOTA list.

-  Bug fix: The file "Append or Replace" dialog aways did a replace!

*** 3.03 ***

- For ADIF imports the QSL_RCVD and QSL_SENT fields were not being handled
  correctly causing the fields to be set to ? when it wasn't appropriate.

*** 3.02 ***

- For ADIF imports the state wasn't getting set correctly from the County data.

- Added AS-146, SA-087 to the IOTA list.

*** 3.01 ***

- Minor improvements to ADIF exports and imports.

- Added support for the Yaesu FT-100

- Added AF-084, AF-085, AS-145 to the IOTA list.

*** 3.00 ***

- XMLog can now (optionally) update your log to use prefixes that more closely
  match the ARRL DXCC prefix assignments. Most of the prefix changes in version
  3.00 apply to former USSR countries.

  Moved the ADIF DXCC country ID info from the file "adifinfo.txt" to the
  prefixes file.

  Both of these updates required changes to the format of the prefixes file.
  Although XMLog will still read old prefixes files anyone who maintains a
  custom file should consider updating it to use the new format.
  See readme.txt for more info.

- Added 4W/East Timor and TX/Chesterfield Is. to the prefixes list.

- Added a new menu item "DX/Show Callsign List" to the Log and Packet windows.
  This feature allows you to assign  countries to specific callsigns that
  XMLog can't "guess" correctly.

- Add heading/distance to callbook lookup messages.  For now only U.S. calls
  have the station location defined.  This feature is currently only available
  for RAC Callbook, Inc. CD's.

- Added new commands for CW messages, #pause, #repeat and #file. For example
  you can create a repeating CQ with: CQ CQ de #me #me k #pause 3 #repeat
  or if your CQ was in a file: #file c:\messages\cq.txt #pause 3 #repeat
  See the help file section of CW Messages for more details.

- You can now double-click on RST fields in the log window to set the
  field to 59 or 599 (only works when the mode or frequency is set).

- Added rotor interface support for Yaesu SDX rotors and the HY-Gain DCU-1.
  Control+Click on a call or heading in the packet window to move
  rotor.

- Added the Yaesu FT-840, FT-900, FT-747 and the Icom IC-746 to the list
  of supported rigs.

- Added new data mode, MT63.

- Added "Awards/IOTA Worked-Confirmed" summary to Log window.

- Bug fix: Internet addresses couldn't have port numbers greater than 32k.

- Bug fix: The scan of the QTH field to set the VE province wasn't working.

*** 2.16 ***

- XMLog can now handle the use of "," as the decimal point. You no longer need
  to change the Windows "Regional Settings" for the decimal point to "."

- Add Inches/CM option to "Display/Labels Layout".

- Add a new "Display/Sort By" option - Allow sort by date/time reversed
  (newest to oldest).

- Fixed a bug in XMLog-style log exports that contained mode names longer than
  3 characters.

*** 2.15 ***

- Bug fixes for custom QSL layouts.

- Add a new prompt when labels are printed. This prompt allows you to set the
  starting row/column on the page. This prompt can be disabled from the 
  "Options/Labels Layout" menu.

- Fixed a 32K limitation on the number of QSO's that could be contained in a
  log (the scrollbar was the limiting factor).

- Add a section to the help file under "Importing/Exporting Log Entries" that
  describes LogConv. This utility can convert TRLog, CT, NA and dBase logs to
  ADIF which can then be imported into XMLog.

- Modify a feature added in 2.14 - The automatic update of the QSL Sent dates
  can be disabled by setting the "Don't Update QSL Sent Date" from the
  "Options/Labels Layout" menu.

- Added data modes J2C and FH.

- Bug fix: ADIF imports could give "Illegal function" errors if the XMLog date 
  format was set to dd/mm/yy.

- Bug fix: The QSO date was incorrect for "Add QSL Label for all selected
  entries" if the date format was set to dd/mm/yy.

*** 2.14 ***

- Added Custom QSL layouts

- Moved all label menu items on the log window from "Display" to a new menu, 
  "Labels". Also moved "Edit/Handle Bureau Card" to this new menu.

- Added a new log menu item "Labels/Add QSL Labels for all Selected Entries".

- The Add QSL menu items now set the QSL Sent date to the current date.

- Improved error handling for Internet connections. In earlier versions
  connections to non-responding destinations would just stall and display no
  error message. Also added an Internet Disconnect entry under the Connect
  menu.

- Added two new items for CW/TNC messages, #freq and #mode. These are
  replaced by the current freq/mode from your rig if you have rig control
  enabled.

  For example, a message to create a DX Cluster spot would be "DX #freq #him".
  Do a single click on the call to set #him before using this message.

- Default values for the rst in/out fields are now automatically mapped between
  59 and 599 based on the mode (but only if the defaults are explicitly set to
  59 or 599).

- Bug fix: ADIF imports could abort if fields were too long. Now all fields are
  truncated to their maximum length.

- Bug fix: Fixed conflict checking for the TNC, CW, and rig control ports.
  Don't check the TNC port if the port type is "Internet".

- Bug fix: Searches with bad dates could fall into "add" mode with no error
  message.

*** 2.13 ***

- Allow COM5 and COM6 for TNC ports and Rig Control ports (but not CW keying
  ports).

- Added realtime logging support for JRC rigs and the Yaesu FT-890 (untested),
  FT-920, FT-990, and the FT-1000/FT-1000D.

- Added the JST-145 to the list of supported rigs.

- Bug fix: Mode set for Yaesu rigs. (Got broken in  version 2.12 when I added
  support for the FT-847).

- Bug fix: The log options screen only allowed a single line in the "Address"
  box.

- Added Palestine (E4) to the prefixes list.

- Added operator name to "Display/Display All Entries for Call".

- Changed the packet window menus for CW and TNC messages to show the
  actual message rather than "Message 1", "Message 2", ...

- Added PSK31 as a new "data" mode.

- Added ID codes for Temotu Province, Austral Is., and Marquesas Is. for ADIF
  import/exports.

- Ignore blank lines in node (.nod) files - don't give a "syntax error" message.

*** 2.12 ***

- Added new menu item "Help/Shortcut Guide".

- For the packet window - Shift/left-click on a call will start a new log
  entry for that call.

  Moved "CW/Set #Him" to "Edit/Set #Him". Single left-clicks on a call in the
  packet window now "set #him" (can be used in TNC/CW messages).

- Added the FT-847 to the rig control list.

- Added the support for realtime logging for Icom rigs and the FT-847.

- Fixed "Set frequency/mode" for Icom (broken in 2.10).

- Double-clicking on the frequency or mode fields in a log entry will read the
  current values from your rig.

- Added VP6 to prefixes file for Pitcarin I.

- Added "Distance Format" to the Log Options form. Used to select
  Miles/Kilometers (only used by the Display Country List form).

- Bug fix: If you changed the TNC port from the log window options menu you
  would get a "device in use message" when starting the packet window. (Worked
  ok from packet window Options menu).

*** 2.11 ***

- New real time logging feature, the frequency/mode can be read from your rig
  (only Kenwood and Yeasu FT-1000MP tested so far). See help file section
  on adding log entries for info.
  
- Changed the DXCC status of ST0, Southern Sudan to deleted. This means the
  entry in the prefixes file got changed to *ST0. If you're lucky enough to
  have one (or more) of these in your log, use the "Edit/Change Prefix" menu
  item to change ST0 to *ST0. (For more info check the help file section on
  changing prefixes).

  Changed the entry for Fed. Rep. of Germany, it had included DS-DT 
  (South Korea).

- Added a new error message that's displayed when unknown prefixes are
  found during log scans.

- CW keyer now handles international characters. See the help file section on
  CW Messages for details.

- CT users note: A utility C2A, is now available from the CT web site
  (www.contesting.com/ct/files) that will convert a CT log file directly into
  an ADIF file. This technique is preferable to using B2R9 since more
  information is saved including the country/zone info and the contest type.

- Added 6, 2 and VHF to the list of legal entries for inhibiting PacketCluster
  alerts ("DX/PacketCluster Alerts" from the packet window).

- When using "Edit/Edit Defaults for New Entries" you can now use #him in the
  call field - the field will be filled with the current value of #him (set
  by the packet window "CW/Set #him" menu item (for K1DAN).

- XMLog can't always handle arrow keys on log form to move through selected
  entries. Added workaround for now - use Alt/left-arrow and Alt/right-arrow
  if you have problems.

- Bug fix: The rig control features were sometimes giving "file not found"
  errors.

- Bug fix: The counties report wasn't recognizing a QSL received date of "?".

- Bug fix: ADIF exports were not including dates if the Windows "Regional
  Settings" for the date format wad not mm/dd/yy (thanks VE3IAY).

- Bug fix: Year 2000 problem - automatically generated dates (or via double-
  clicking on a date field) were being created incorrectly for years > 1999
  (thanks AA1IK).
     
*** 2.10 ***
  
- Added Help buttons to forms.

- Add more filtering to the DXCC/WAZ "Critical QSO Summary" reports. The
  entries displayed by this report now become the "currently selected log
  entries" in the main log window.

- Allow double-clicking on "Critical QSO Summary" report lines to make that
  entry be the current entry in the main log window. Also works for 
  "Display Short/Medium/Long" and "Display All Entries for Call".

- Add a flow control selection to the rig control options screen.

- TNC messages can now contain any control character. See the TNC Messages
  section in the help file.
 
- Submission tracking fields were not being imported using XMLog format.

- Added Temotu Is. (H40), Austral Is. (FO/A),  Marquesas Is. (FO/M) to the
  prefixes file.

- Bug fix: "Notes" field was being shown right-justified on Windows NT 4.0

*** 2.09 ***

- Allow creating QSL and mailing labels while adding a new log entry.

- Fixed import bug. If the current entry had any "Awards Submission Tracking"
  dates set, those dates were added to all imported records!
     
*** 2.08 ***

- Fixed bug in counties report. "Worked" calls were not being reset between
  lines of report.

*** 2.07 ***

- Fixed an install bug: The 1997 callbook .dll file was being overlaid with the
  1998 file.

- Added the submitted and accepted dates to the "Awards/Submission Tracking"
  reports. (But reduced the number of confirmed QSOs displayed to two).

- Added new log menu item "Edit/Select US County from List". You can also
  display this list by double-clicking on the county field while adding or
  editing an entry.

  Added new log "Awards" menu items "Counties Worked/Confirmed" and
  "County Validation".

- Fixed a bug that kept the "Disconnected" message from being display when 
  closing an internet connection.

*** 2.06 ***

- Added import/export of ADIF (Amateur Data Interchange Format) files. This
  format will hopefully become the standard for exchanging data between
  logging/contesting programs.

- Added new fields for State/Province, County, IOTA and GridSquare. (No award
  reports for County, Grid or IOTA implemented as yet).

  Old logs will be updated to copy any state from the QTH field to the state
  field. When entering new log entries the state field will automatically
  be be filled in from any state in the QTH field (you don't need to enter
  it twice).

- Added a new packet window menu item "File/Clear Screen History". Clears the
  screen and any saved sessions.

- Added the FT-920 to the list of supported rigs.

- When adding or editing a log entry, double-clicking on the Prefix or Country
  fields will allow you to select the country from the country list. You can
  also choose "Edit/Select Country from List". Handy if the country "guesser"
  guesses incorrectly.

- Added support for 1998 Radio Amateur Callbook CDs. XMLog tries copy the
  appropropriate interface library (lgaccss1.97 or lgaccss1.98) to
  lgaccss1.dll in the XMLog directory. After an update, you should exit
  XMLog and restart Windows. Also - Callbook lookups using the 1998 CDs
  now include the country.

- Prefixes file changes:

  Removed M1 from San Marino and added M to England.

  Moved AH7, KH7, NH7, WH7 from Kure to Hawaii.
  Kure is now AH7K, KH7K, NH7K, WH7K with main prefix still KH7.

  Added missing deleted country Zanzibar, *VQ1

  Changed name of Germany to Fed. Rep. of Germany

  Added missing deleted country Germany, *DL
 
- RTTY PacketCluster spots were not always being ignored when included in the
  list of modes to ignore.

- Added new data mode, CLOVER

- Fixed a bug that was causing "File not found" errors when trying to open the
  packet window.

- Allow appends to files used to record packet sessions.

*** 2.05 ***

- Added new help menu item "Display hints.txt". This file has a few pointers
  for features often missed by a quick scan of the help file.

- Added latest version of Internet support libaray (CSWSKCTL.VBX replaces
  CSWSOCK.VBX). Hopefully this will stop the "Can't load cswsock.dll"
  messages some people were getting.

*** 2.04 ***

- Added a new log menu item "Display/Show All Entries for Call". This item will
  display a list of all log entries that match the current Call field.

- Internet addresses can now include a port number.

*** 2.03 ***

- When you select "DX/Callbook Lookup" from the log window we now do a
  lookup on any call from the current entry.

- Added new PacketCluster Alert "ignore" features. You can now inhibit alerts
  by frequency or license class. See the help file section "PacketCluster
  Alerts" under "PacketCluster Support".

*** 2.02 ***

- Fixed rig control for Yaesu rigs.

*** 2.01 ***

- Added a few more mode types
   CW: A1, A1A
   Phone: A3, A3E, F3, F3E, J3, J3E
   Data: ATV, SSTV, J2, J2B, J2D

- Added more examples to the "Searching the Log" section of the help file.

*** 2.00 ***

- Added support for Internet PacketCluster nodes. See help file section 
  "New features".

- Added two maintenance functions for log files, Compact and Repair.

- Fixed bugs when trying to create a new log file with no filename extension.
  We now assume .log for filenames given without extensions.

- Fixed a problem defining multi-line addresses in the "Log Options" screen.
  The "Enter" key was closing the screen so a multi-line entry could not be
  created.

- Fixed "Sort By QSO Date/Time" problem. When log entries had identical
  dates/times, those entries were not always sorted in the order they were
  entered. This change does not affect the sort order of current log entries,
  only new entries added to the log.

*** 1.27 ***

- Added support for dd/mm/yy date format. Use the
  "Options/Log Options" menu to choose the date format.

- Fixed a bug that caused crashes when the GMT offset was set to a value
  greater than 9 hours.

- Awards submission tracking reports were broken, the submitted/accepted
  statuses were not being reported correctly.

- Added a new option to the "Options/Labels Layout" menu, "Add callsign to
  mailing labels". Setting this option formats the first line of the label as
  "FirstName LastName, Callsign".

- "Print Labels" now asks if you want to erase the labels AFTER it starts
  printing instead of before!

- The Packet window "PacketCluster Alerts" menu has a new option that will
  include the band/mode on CW alerts.

- Included the latest QRZ callbook CD interface file (qrzdll.dll). Some people
  were getting errors when trying to do callbook lookups.

- Added JRC JST-135 and JST-245 to list of supported rigs.

*** 1.26 ***

- You can now define default values for any field for new log entries. This
  feature is controlled by new menu items "Edit/Set Defaults for New Entries"
  and "Edit/Enable Defaults for New Entries". See the help section on
  "Adding New Entries" for details.

   This feature replaces the old "Auto Add Date/Time" mode.

- Added voice PacketCluster alerts. To install voice alerts you must first get
  a copy of the voice files (contained in waves.zip). Create a "voice"
  directory within your MLOG directory and PKUNZIP waves.zip in that
  directory. Then use the "DX/PacketCluster Alerts" dialog to enable voice
  alerts. Check the help file section "PacketCluster Voice Alerts" for more
  info.

- Added a new menu item "Options/HF Rig Comm Port Select". Use this menu
  item to set up a comm port that XMLog can use to control your HF rig. If you
  double-click on frequencies displayed in the packet window, XMLog will send
  your rig to the appropriate frequency and mode. See the help file screen
  "HF Rig Control" in the "Using the Packet Window/PacketCluster Support"
  section of the help file.

- Added a new option to the packet "DX/PacketCluster Alerts" dialog. Turning
  on "Don't show alert info" will disable the beam heading and QSL status line.

- Added some new shortcuts for the log window:
   Ctrl+A      for Edit/Add New Entry
   Ctrl+M      for Edit/Modify Entry
   Ctrl+Q      for Display/Add QSL Label to List
  
- Added Pratas Island (BV9P) and Scarborough Reef (BS7) to the prefixes file.

- Made the scroll bar in log window active - the screen gets updated as you
  drag the position box.

- Fixed occasional bad column alignment in reports when proportional fonts are
  used.

*** 1.25 ***

- Changed the install procedure to handle incompatible versions of MSCOMM.VBX

*** 1.24 ***

- Added award submission tracking. Use "Help/Display Help" and check the
 "Awards Submission Tracking" section.

- Log entries with dates having a year < 20 are assumed to be for the next
  century.

- Double-Click on any log entry date or time field to fill the field with the
  current date or time.

- Added support for the "Radio Amateur Callbook, Inc." (Flying Horse) callbook
  CD.

- Status bar changes:

    Moved all packet window status messages from the caption to the status bar.
    The status bar can no longer be disabled.

    Added a status bar to the log window - messages are now displayed in this
    bar rather than in the caption.

    The status bar clocks are now enabled/disabled from the Options menu.

- Moved the log window "Sort By" option from "Edit" to "Display".

- Added a new menu item "Edit/Handle Bureau Card" to the log window. It sets
  the QSL Sent/Received fields to today's date. It also adds a QSL label to
  the labels list (same as choosing "Display/Add QSL Label"). This feature
  is useful when you get those fat envelopes from your QSL bureau.

- While adding new log entries, you can now choose "Clear" to reset the current
  entry, or choose "Stop" to exit add mode.

- A problem which caused the packet window to stall when using Windows for
  Workgroups 3.11 has been fixed. (This problem had also been seen on some
  Windows '95 systems).

*** 1.23 ***

- When opening logs, complain if file sharing isn't available. The changes made
  in version 1.17 allowing Microsoft Access 2.0 style logs require file sharing
  to be loaded. Check the "Starting XMLog" help screen for details.

- Install system files in \windows\system rather than leaving them in the mlog
  directory.

- Added "Sort by QSL Sent Date" to "Edit/Sort By".

- Got the latest version of the install program "setup.exe" from MicroSoft. The
  old one was giving a "Cannot start application" message if share.exe wasn't
  loaded.

*** 1.22 ***

- Moved "Callbook Lookup" on the Log Window from the "Display" to the "DX"
  menu. Added a "DX/Callbook Lookup" menu item to the packet window to match
  the one available from the log window.

- Moved "Enable CW Alerts" from the "Options/CW Options" to "DX/Alerts". Now
  all the alert stuff is in one place.

*** 1.21 ***

- Changed our name from MLog to XMLog. To prevent conversion headaches,
  files and directories retain their old "mlog" names.

- The "File/Record" feature of the packet window now puts the files in a
  "record" directory by default. The "Send/Send File to TNC" feature starts
  at this directory by default.

- Add "Edit/Status Bar" and "Edit/Status Bar Clock" to the packet window to
  allow control of status bar.

- We weren't guessing the zone for VE's whose provinces were given as two
  character abbreviations.

*** 1.19, 1.20 ***

- Added a status bar to the packet window.

- "Minimizing" report display windows didn't work.

- Fixed some minor "Edit/Change Prefix" bugs.

*** 1.18 ***

- Added support for SoundBlaster compatible sound cards for CW sidetone and
  CW PacketCluster alerts. For info, see the "Options/CW Options" menu item.

- Allow a double-click on an item in a "Display/..." report to load that entry
  and bring it to the fore. (Instead of the old technique of using a right
  button click, though we still allow that).

- The >> and << buttons weren't going through the help display items in the
  right order.

- The install program prompted for a diskette if given a bad directory name
  when installing from hard disk.

- Fixed packet crash (overflow) when receiving very long lines.

*** 1.17 ***

- Added "Help/Display changes.txt" to display this file.

- Added a new log menu item "Stats/WAZ Critical QSO List". See "WAZ Award
  Tracking" in the Help display for details.

- Speed up all the "Stats" reports.

- Blink error messages in the log window caption a couple of times.

- New logs are created in Microsoft Access 2.0 style rather than 1.1 (we can
  handle either type). 

- Added some new menu items and options to allow the current date/time to be
  automatically added to new log entries:
   - "Edit/Add Date and Time to Entry"   (Ctrl+D)
   - "Edit/Auto-Add Date and Time"
   - "Options/Log Options"   (UTC Offset, Daylight Savings)
  See "Adding Log Entries" in the Help display for details.

- Version 1.16 had a bad copy of the file import.bas

- When a bad mode field was given for a log entry, the error message was
  displayed briefly and the bad mode was accepted. This only happened during
  an Edit Entry and not during an Add Entry.

- If you tried a search key consisting of a comparison with no field in the
  Via/QTH/Name/Notes fields, you got a couple of extraneous error messages - 
  "Problem Searching Log" and "Error Loading Record". No harm done however.

*** 1.16 ***

- For "Import/Import Text File" allow yes, no, y and n as QSL sent/received
  dates.

- Identify the specific date field (QSO, QSL Sent/Received) in error messages.

- Prevent flakey Buckmaster lookups by making sure the callsign double-clicked
  upon has a number and a letter in it somewhere.

*** 1.15 ***

- Added the packet history manager mlog-mem.dll, dramatically reduces memory
  requirements and allows lines in history (and on screen) to be up to 250
  characters.

- Renamed the MLog CW manager mlog-dll.dll as mlog-cw.dll

- Made the scrollbars in the log display/reports alive (the screen is updated
  while dragging).

- Added context sensitive help (F1) for windows, menu items, and dialog boxes. 

- Double-clicking on a blank line in the packet window caused a crash.

*** 1.14 ***

- Double-clicking on callsign in the packet window does a callbook lookup.

- Highlight found string after a successful packet search (Ctrl+F).

- Implement ANSI highlighting for the packet window. This feature is enabled or
  disabled from the "Options/Packet and TNC Options" menu.

- Added a horizontal scroll bar for the packet window. This feature is enabled
  or disabled using the "Edit/Horizontal Scrollbar" menu item.
 
- Changed the packet window backwards tab character from Ctrl+Tab to Shift+Tab
  (more Windows-like). Split screen mode only.

- The "You have new mail from xxx" alert wasn't working.

- If the packet window was ever closed maximized, it would always open that way
  regardless of the close state on subsequent runs of MLog.

- Fix an "off by one" bug in the packet window Page Up key.

- Fix handling of proportional fonts in the packet window.

*** 1.13 ***

- CW Pileup Mode now allows the Escape key as an alias for the F12 key (stop
  sending).

- Made CW a bit more immune to system activity.

- Got rid of the "list of speeds" that F9 cycled through. Now F9 increases
  speed, Shift+F9 decreases speed.

- The initial CW speed is set from "Options/CW Options", fixed things so this
  value is not changed by F9, etc.

- Got rid of delays that sometimes occured when hitting a CW message key.

*** 1.12 ***

- Made the callbook lookup form "non-modal", you're not forced to close it
  before moving elsewhere.

- Added a "CW Sidetone" checkbox to CW Options menu. Replaces the old
  technique of setting the frequency to zero.

- Changed the status lines for spots that are needed (ones that caused an
  alert). They previously contained a --, changed it to -+- so they're
  easier to find with a search (Ctrl+F).

- Added LPT1/LPT2 CW keying.

- System sounds could kill CW beeping.

*** 1.11 ***

- The QTH field for VE QSO's is scanned for a province abbreviation (just like
  the WAS scan). Now we fill in the zone for provinces that cover a single zone.

- Added a new CW controller.

- Don't write Ctrl+Z's to history file. They caused a premature end of file when
  reading it back.

- Changed the log scan to scan until end-of-file rather than trusting the record
  count in database.

*** 1.10 ***

- Added "Add to Labels List" to "Display/Callbook Lookup" dialog.

- For U.S. calls, guess the zone from the state in the QTH field.

- Added better resolution for CW timing.

- "Write Text File" when selecting "All Log Entries" now uses the current
  "Sort By..." setting.

- Spots for VHF now show the DXCC status info. No more "We don't handle this
  frequency..." messages.

- Changed the prefixes/totals file layout so that deleted countries are at the
  end, not at the top of the files.

- Changed "Import/Import Text File" to handle 100 character notes fields.

*** 1.09 ***

- Added WAZ reports.

- Display/Short, etc. now uses the current "sort by" criteria.

- Moved/renamed some log window menu items:
    DXCC -> DX
    WAS -> Stats
    DXCC reports -> Stats
    DXCC/Change Prefix -> Edit

*** 1.08 ***

- Inhibit "all" now only inhibits alerts, still shows status line.

- "Show country list" now can do a prefix guess or country name search.

- Smarter state recognizer - checks last word. (so "fargo, nd. - 12345" is ok).

- If the packet window is "maximized" when closed, it will now be restored as
  maximized.

- Fixed import bug, exited w/o message if first entry had format error.

- Label printing was broken in 1.07

*** 1.07 ***

- Added "Edit/Sort By..." for log searches. Selected records can be sorted by
  date/time, call, prefix, etc.

- Added horizontal scrolling for reports.

- Increased width of Notes field to 100, to convert old logs, unload to text
  file, create a new log, reload. Prefix for lines in text files is now "350,".

- The state is added to QTH field during CT import for all contests with state
  or section info.

- Make a dupe check on first record of import - you can quit or do import
  anyway.

- Clicking the *right* mouse button on a line in the Display/Short... reports
  moves to that entry in the main MLog window.

- Added "Edit/Delete all entries" to delete all currently selected entries.

- Added Buckmaster support.

- Clicking the *right* mouse button on a BBS summary line creates a read
  command ("r ###") for that item.

- Added independent control of log report fonts and packet window fonts.

- The packet window now supports proportional fonts (though it doesn't look very
  good since column alignment is lost).

- TNC escape key reassigned (F1 -> F2). Windows standards want you to use F1
  as a context sensitive help key.

- Node sequence startup key reassinged (F2 -> F5). So, now use F2 F5 to start a
  node connect sequence. Hopefully, this will be the last keyboard diddling.

- Added "Send/Send Clipboard".

- Added control character input. Prints blots (or boxes depending on the font).
